### OPEN SOURCE LICENSE - GNU AFFERO PUBLIC LICENSE Version 3.0 #######
#
#    Net::FullAuto - Distributed Workload Automation Software
#    Copyright © 2000-2024  Brian M. Kelly
#
#    This program is free software: you can redistribute it and/or
#    modify it under the terms of the GNU Affero General Public License
#    as published by the Free Software Foundation, either version 3 of
#    the License, or any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but **WITHOUT ANY WARRANTY**; without even the implied warranty
#    of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public
#    License along with this program.  If not, see:
#    <http://www.gnu.org/licenses/agpl.html>.
#
#######################################################################


2024-08-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000776 released

        * More experiment to reduce cpan memory impact

2024-08-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000775 released

        * More experiment to reduce cpan memory impact

2024-08-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000774 released

        * More experiment to reduce cpan memory impact

2024-08-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000773 released

        * More experiment to reduce cpan memory impact

2024-08-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000772 released

        * More experiment to reduce yum memory impact

2024-08-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000771 released

        * More experiment to reduce yum memory impact

2024-08-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000770 released

        * More experiment to reduce yum memory impact

2024-08-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000769 released

        * More experiment to reduce yum memory impact

2024-08-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000768 released

        * Added sha256 file to complete distro

2024-08-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000767 released

        * Experiment to reduce yum memory impact

2024-08-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000766 released

        * remove SKIP from figlet reloop

2024-08-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000765 released

        * more figlet memory work

2024-08-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000764 released

        * figlet memory test

2024-08-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000763 released

        * Less greedy matching for tar file

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000762 released

        * "Really" Final Low Memory banner changes

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000761 released

        * Corrected module dependency ordering

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000760 released

        * Final Low Memory banner changes

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000759 released

        * More Low Memory banner changes

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000758 released

        * More Low Memory banner changes

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000757 released

        * Low Memory banner

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000756 released

        * More kill cpan parent process experiment

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000755 released

        * More kill cpan parent process experiment

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000754 released

        * More kill cpan parent process experiment

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000753 released

        * More kill cpan parent process experiment

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000752 released

        * More kill cpan parent process experiment

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000751 released

        * More kill cpan parent process experiment

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000750 released

        * More kill cpan parent process experiment

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000749 released

        * Kill cpan parent process experiment

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000748 released

        * Memory experiment

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000747 released

        * Corrected more module dependency ordering

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000746 released

        * Corrected more module dependency ordering

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000745 released

        * Corrected more module dependency ordering

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000744 released

        * Corrected more module dependency ordering

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000743 released

        * Fixed amazon YAML install

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000742 released

        * Fixed typo extra ";" breaking Makefile.PL

2024-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000741 released

        * Corrected more module dependencies

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000740 released

        * Corrected more module dependencies

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000739 released

        * Corrected more module dependencies

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000738 released

        * Corrected more module dependencies

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000737 released

        * Corrected more module dependencies

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000736 released

        * Corrected more module dependencies

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000735 released

        * Corrected more module dependencies

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000734 released

        * Corrected multiple module dependencies

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000733 released

        * Removed failed reload index experiment

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000732 released

        * Fixed File::Copy::move issue

2024-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000731 released

        * More code cleanup

2024-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000730 released

        * More code cleanup

2024-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000729 released

        * More code cleanup

2024-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000728 released

        * More code cleanup

2024-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000727 released

        * More debug cleanup

2024-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000726 released

        * Fixed Data::Dump::Streamer install

2024-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000725 released

        * Cleanup debug code after many changes

2024-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000724 released

        * Load CPAN::Mini earlier

2024-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000723 released

        * Build BerkeleyDB via exec

2024-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000722 released

        * Changed GETBDB to GETBERK

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000721 released

        * Fixed test for BDB

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000720 released

        * Do exec when GETBDB

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000719 released

        * Look for libwww-perl dir when LWP

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000718 released

        * Fixed module skipping

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000717 released

        * exec for Makefile.PL for strictures

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000716 released

        * Clean mem after each load

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000715 released

        * Expanding the use of exec when installing

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000714 released

        * Expanding the use of exec when installing

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000713 released

        * More fa_module_module converted vs fa_module_mod

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000712 released

        * Expanding the use of exec when installing

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000711 released

        * Testing fa_module_mod vs fa_module_module 

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000710 released

        * Added List::Util to get gcc mem treatment

2024-08-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000709 released

        * Corrected Data::Dump::Streamer bug via exec

2024-08-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000708 released

        * Build Data::Dump::Streamer via exec

2024-08-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000707 released

        * Help Data::Dump::Streamer on AWS micro & nano

2024-08-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000706 released

        * CPAN install on micro & nano AWS instances

2024-08-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000705 released

        * More debug for Makefile.PL

2024-08-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000704 released

        * More debug for Makefile.PL

2024-08-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000703 released

        * More debug for Makefile.PL

2024-08-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000702 released

        * More debug for Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000701 released

        * More debug for Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000700 released

        * More debug for Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000699 released

        * More debug for Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000698 released

        * More debug for Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000697 released

        * Remove debug Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000696 released

        * Added more to debug Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000695 released

        * Added more to debug Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000694 released

        * Added more to debug Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000693 released

        * Added more to debug Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000692 released

        * Added echo statements to debug Makefile.PL

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000691 released

        * Fixed Makefile.PL bug

2024-08-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000690 released

        * Added Memory management for AWS micro/nano

2024-08-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000689 released

        * Added Memory printout for Makefile.PL

2024-08-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000688 released

        * More Makefile.PL changes for
          AWS micro and nano instances

2024-08-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000687 released

        * More Makefile.PL changes for
	  AWS micro and nano instances

2024-08-13  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000686 released

        * Now installs in AWS micro and nano instances

2024-08-11  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000685 released

        * In Makefile.PL changed md5 to sha256

2024-08-11  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000684 released

        * Using latest berkeley db version 18.1.40

2024-08-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000683 released

        * Implemented targeted __no_log__ for cwd()

2024-08-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000682 released

        * Returning proper error in cwd()

2024-08-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000681 released

        * Fixed timeout in sub cmd()

2024-07-29  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000680 released

        * Fixed parsing in sub display()

2024-07-29  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000679 released

        * Fixed parsing of stdout and stderr
	  when both share same line

2024-07-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000678 released

        * Improved display() when running git

2024-07-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000677 released

        * Forgot to remove a debugging message

2024-07-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000676 released

        * Reduced timeout for cleanup

2024-07-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000675 released

        * Fixed output edge case

2024-07-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000674 released

        * Updated parameter handling in cmd()

2024-07-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000673 released

	* Formatted Output for any git cloning

2024-07-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000672 released

        * Using quotemeta to escape string

2024-07-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000671 released

        * Fixed saved dir for cd .. in cwd()

2024-07-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000670 released

        * Added error handling for cwd()

2024-07-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000669 released

	* Added regex filtering for closures

2024-07-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000668 released

        * Forgot to remove temp debugging messages

2024-07-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000667 released

        * Improved display() accuracy

2024-07-13  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000666 released

        * Updated Amazon methods in fa_amazon.pm

	* Improved display() accuracy

2024-07-11  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000665 released

        * Updated Amazon methods in fa_amazon.pm

2024-07-10  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000664 released

	* Fixed display() issue

2024-06-30  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000663 released

	* Tighted display() filtering

2024-06-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000662 released

        * Repaired Makefile.PL bug to detect AWS EC2 host

2024-06-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000661 released

        * Better Makefile.PL method to detect AWS EC2 host

2024-06-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000660 released

        * Makefile.PL repaired update for Amazon EC2 AWS CLI

2024-06-27  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000659 released

        * Makefile.PL updated for Amazon EC2 AWS CLI

2024-06-26  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000658 released

        * Makefile.PL updated for Amazon Ubuntu

2024-06-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000657 released

        * display() outputs more accurately

2024-06-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000656 released

        * Setup configuration is now truly optional

	* New '__debug__' option for cmd() method

2024-06-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000655 released

        * Optimized local shell discovery 

2024-06-12  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000654 released

        * cwd() method repaired

2024-06-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000653 released

	* Repaired all-dependencies installer

2024-06-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000652 released

        * Fixed ftp output formatting

2024-06-05  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000651 released

        * Fixed identityfile login to aws ec2

2024-06-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000650 released

        * Fixed intermittent output formatting
          issues

2024-06-02  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000649 released

	* Fixed sub get_drive bug

2024-06-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000648 released

        * Fixed Socket Salvage logic

2024-05-31  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000647 released

	* Vastly Improved Cygwin reliability
	  Achieved 1000 error free launches
	  All Changes in FA_Core.pm

2024-04-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000646 released

        * Improved startup for Cygwin in FA_Core.pm

2024-04-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000645 released

        * Added ; after gpfile||='' in FA_Core.pm

2024-04-12  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000644 released

        * Added gpfile||='' in FA_Core.pm

2024-04-05  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000643 released
	
	* Fixed error reporting in Makefile.PL

	* Updated copyright to 2024

2023-10-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000642 released

        * connect_shell() works with Cygwin 

2023-05-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000641 released

        * Added Time::Local to Makefile.PL

2023-05-27  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000640 released

        * Final Makefile.PL Changes

2023-05-27  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000639 released

        * Test Makefile.PL Change

2023-05-27  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000638 released

        * Test Makefile.PL Change

2023-05-26  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000637 released

        * Test Makefile.PL Change

2023-05-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000636 released

        * Fixed Makefile.PL

2023-05-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000635 released

	* Fixed Makefile.PL

2023-05-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000634 released

        * Added Clone, Email::Address::XS and
	  zlib-devel for amazon-linux to Makefile.PL

2023-03-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000633 released

        * Added tests for CyberArk and CYBERARK
	  in FA_Core.pm

2023-01-10  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000632 released

	* Filter out noise string in Cygwin

	* Update copyright to 2023

	* Require libnsl-devel for Cygwin

2022-10-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000631 released
	
	* Updated ftpcmd()

2022-08-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000630 released

        * Updated Instruction Set WordPress_is.pm.

	* Added newline to test of prompt in FA_Core.pm

	* Updated epel release in Makefile.PL

2022-05-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000629 released

	* Fixed 'Killed' issue in startup in FA_Core.pm

	* Update Copyright to 2022

2021-10-11  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000628 released

        * Modified WordPress_is.pm.

2021-08-11  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000627 released

        * Modified EmailServer_is.pm.

2021-08-11  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000626 released

        * Modified EmailServer_is.pm.

2021-08-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000625 released

        * Modified EmailServer_is.pm.

2021-07-26  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000624 released

        * Modified EmailServer_is.pm.

2021-07-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000623 released

        * Modified EmailServer_is.pm.

2021-07-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000622 released

        * Modified EmailServer_is.pm.

2021-07-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000621 released

        * Modified EmailServer_is.pm.

2021-07-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000620 released

        * Modified EmailServer_is.pm.

2021-07-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000619 released

        * Modified EmailServer_is.pm.

2021-07-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000618 released

        * Modified EmailServer_is.pm.
	  Added Rspamd configuration.

2021-07-12  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000617 released

        * Modified EmailServer_is.pm.

2021-07-08  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000616 released

        * Modified EmailServer_is.pm.

2021-07-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000615 released

        * Modified EmailServer_is.pm.

2021-07-06  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000614 released

        * Modified EmailServer_is.pm.
          Added Test for Letsencrypt Cert.

2021-07-05  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000613 released

        * Modified EmailServer_is.pm.

2021-07-05  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000612 released

        * Changed unless fulloutput==0 to ending
	  logic in FETCH in FA_Core.pm to
	  $fulloutput!~/^.*\n0$/s.

        * Modified EmailServer_is.pm.
	  Added 2>&1 to all git clone commands.

2021-07-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000611 released

        * Added unless fulloutput==0 to ending
	  logic in FETCH in FA_Core.pm.

2021-07-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000610 released

        * Modified EmailServer_is.pm.

2021-07-03  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000609 released

        * Modified EmailServer_is.pm.

2021-07-02  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000608 released

        * Modified EmailServer_is.pm.

2021-07-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000607 released

        * Modified EmailServer_is.pm.

2021-06-30  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000606 released

        * Modified EmailServer_is.pm.

2021-06-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000605 released

        * Modified EmailServer_is.pm.

2021-06-27  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000604 released

        * Modified EmailServer_is.pm.

2021-06-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000603 released

        * Modified EmailServer_is.pm.

2021-06-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000602 released

        * Modified EmailServer_is.pm.

2021-06-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000601 released

        * Modified EmailServer_is.pm.

2021-06-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000600 released

        * Modified EmailServer_is.pm.

2021-06-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000599 released

        * Modified EmailServer_is.pm.

2021-06-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000598 released

        * Modified EmailServer_is.pm.

2021-06-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000597 released

        * Modified EmailServer_is.pm.

2021-06-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000596 released

        * Modified EmailServer_is.pm.

2021-06-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000595 released

        * Modified EmailServer_is.pm.

2021-06-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000594 released

        * Modified EmailServer_is.pm.

2021-06-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000593 released

        * Modified EmailServer_is.pm.

2021-06-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000592 released

        * Modified EmailServer_is.pm.

2021-06-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000591 released

        * Modified EmailServer_is.pm.

2021-06-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000590 released

        * Modified EmailServer_is.pm.

2021-06-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000589 released

        * Modified EmailServer_is.pm.

2021-06-12  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000588 released

        * Modified EmailServer_is.pm.

2021-06-08  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000587 released

        * Modified EmailServer_is.pm.

2021-06-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000586 released

        * Modified EmailServer_is.pm.

2021-06-06  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000585 released

        * Modified EmailServer_is.pm.

2021-06-05  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000584 released

        * Modified EmailServer_is.pm.

2021-06-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000583 released

        * Modified EmailServer_is.pm.

2021-06-03  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000582 released

        * Modified EmailServer_is.pm.

2021-06-02  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000581 released

        * Modified EmailServer_is.pm.

2021-05-03  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000580 released

        * Modified EmailServer_is.pm.

2021-04-27  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000579 released

        * Updated CyberArk compatibility.

2021-03-05  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000578 released

        * Modified EmailServer_is.pm.

2021-03-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000577 released

	* Modified EmailServer_is.pm.

2021-03-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000576 released

	* Modified EmailServer_is.pm.

2021-03-03  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000575 released

	* Modified EmailServer_is.pm.

2021-02-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000574 released

	* Modified EmailServer_is.pm.

2021-02-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000573 released

	* Modified EmailServer_is.pm.

2021-02-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000572 released

	* Modified EmailServer_is.pm.

2021-02-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000571 released

	* Modified EmailServer_is.pm.

2021-02-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000570 released

	* Modified EmailServer_is.pm.

2021-02-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000569 released

	* Modified EmailServer_is.pm.

2021-02-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000568 released

	* Modified EmailServer_is.pm.

2021-02-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000567 released

	* Modified EmailServer_is.pm.

2021-02-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000566 released

	* Modified EmailServer_is.pm.

2021-02-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000565 released

	* Modified EmailServer_is.pm.

2021-02-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000564 released

	* Modified EmailServer_is.pm.

2021-02-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000563 released

	* Modified EmailServer_is.pm.

2021-02-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000562 released

	* Modified EmailServer_is.pm.

2021-02-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000561 released

	* Modified EmailServer_is.pm.

2021-02-13  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000560 released

	* Modified EmailServer_is.pm.

2021-02-13  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000559 released

        * Modified EmailServer_is.pm.

2021-02-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000558 released

        * Modified EmailServer_is.pm.

2021-02-11  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000557 released

        * Modified EmailServer_is.pm.

2021-02-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000556 released

        * Modified EmailServer_is.pm.

2021-02-06  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000555 released

        * Modified EmailServer_is.pm.

2021-02-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000554 released

        * Modified EmailServer_is.pm.

2021-02-03  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000553 released

        * Modified EmailServer_is.pm.

2021-01-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000552 released

        * Modified EmailServer_is.pm.

2021-01-17  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000551 released

        * Modified EmailServer_is.pm.

2021-01-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000550 released

        * Modified EmailServer_is.pm.

2021-01-10  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000549 released

        * Modified EmailServer_is.pm

	* Updated Copyright t0 2021.

2020-12-30  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000548 released

        * Modified EmailServer_is.pm.

2020-12-30  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000547 released

        * Modified EmailServer_is.pm.

2020-12-29  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000546 released

        * Modified EmailServer_is.pm.

2020-12-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000545 released

        * Modified EmailServer_is.pm.

2020-12-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000544 released

        * Modified EmailServer_is.pm.

2020-11-30  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000543 released

        * Modified EmailServer_is.pm.

2020-11-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000542 released

        * Modified EmailServer_is.pm.

2020-11-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000541 released

        * Added EmailServer_is.pm to MANIFEST.

2020-11-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000540 released

        * Added EmailServer_is.pm.

2020-10-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000539 released

        * Updated PHP_is.pm.

2020-10-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000538 released
	
	* Added PHP_is.pm.

2020-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000537 released

	* Updated cyberark for sftp in FA_Core.pm.

2020-08-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000536 released

        * Updated Instruction Set WordPress_is.pm.


2020-08-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000535 released

        * Updated Instruction Set WordPress_is.pm.


2020-08-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000534 released

        * Updated Instruction Set WordPress_is.pm.


2020-08-06  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000533 released

        * Updated Instruction Set WordPress_is.pm.


2020-02-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000532 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-02-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000531 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-02-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000530 released

	* Updated Instruction Set FullAutoAPI_is.pm. 


2020-02-12  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000529 released

        * Updated Docker_is.py.


2020-02-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000528 released

        * Updated Instruction Set FullAutoAPI_is.pm.

        * Updated Docker_is.py.


2020-02-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000527 released

        * Updated Instruction Set FullAutoAPI_is.pm.

	* Updated Docker_is.py.


2020-02-02  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000526 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-02-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000525 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-02-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000524 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-01-27  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000523 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-01-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000522 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-01-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000521 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-01-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000520 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-01-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000519 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-01-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000518 released

        * Replaced die() with handle_error() in FA_Core.pm.


2020-01-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000517 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-01-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000516 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-01-12  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000515 released

        * Updated Instruction Set FullAutoAPI_is.pm.


2020-01-11  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000514 released

        * Updated Instruction Set WordPress_is.pm.


2020-01-08  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000513 released

        * Updated Instruction Set WordPress_is.pm.


2020-01-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000512 released

        * Updated Instruction Set WordPress_is.pm.


2020-01-05  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000511 released

        * Updated Instruction Set WordPress_is.pm.


2020-01-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000510 released

        * Updated Instruction Set WordPress_is.pm.


2020-01-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000509 released

        * Happy New Year!

	* Updated Copyrignt to 2020.

        * Updated Instruction Set WordPress_is.pm.


2019-12-31  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000508 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-30  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000507 released

        * Updated Instruction Set WordPress_is.pm.

	* Removed mozrepl support in FA_Core.pm.


2019-12-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000506 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000505 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000504 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-26  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000503 released

        * Updated Cloud/fa_amazon.pm.

	* Updated Instruction Set WordPress_is.pm.


2019-12-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000502 released

        * Merry Christmas!

        * Updated Cloud/fa_amazon.pm.


2019-12-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000501 released

        * Merry Christmas!

        * Updated Cloud/fa_amazon.pm.

        * Updated Instruction Set WordPress_is.pm.


2019-12-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000500 released

	* Merry Christmas!

        * Updated sub display in FA_Core.pm.

        * Updated Instruction Set WordPress_is.pm.


2019-12-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000499 released

        * Updated sub display in FA_Core.pm.


2019-12-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000498 released

        * Updated sub display in FA_Core.pm.

	* Updated Instruction Set WordPress_is.pm.


2019-12-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000497 released

        * Updated sub display in FA_Core.pm.


2019-12-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000496 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000495 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000494 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000493 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000492 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000491 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-16  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000490 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000489 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000488 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000487 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000486 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000485 released

        * Updated Instruction Set WordPress_is.pm.


2019-12-13  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000484 released

        * Moved $LOG initialization later in startup.


2019-12-08  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000483 released

        * Added print() & prompt() to other classes.


2019-11-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000482 released

        * Fixed bad merge for 1.0000481.


2019-11-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000481 released

	* Happy Thanksgiving!

        * Fixed numerous display issues.


2019-11-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000480 released

        * Export clean_filehandle().


2019-11-15  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000479 released

        * Using map to handle command line args.

	* Better regex for --arg handling.


2019-11-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000478 released

        * Changed output format of prompt().
	 
	* Initialized hostlabel with null.


2019-10-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000477 released

        * Moved dependency order for HTTP::Daemon
          in Makefile.PL.


2019-10-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000476 released

	* Moved dependency order for Build::Tiny
	  in Makefile.PL.


2019-10-13  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000475 released

	* Changed openssl-devel to libssl-devel
	  for Cygwin installs.


2019-10-10  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000474 released

	* Fixed Regex in ls_parse().

	* Fixed Error Handling in cwd().


2019-05-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000473 released

        * Updated Amazon test in 4 files.


2019-05-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000472 released

        * Added Support for Cyberark


2019-05-12  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000471 released

        * Fixed process locking problem Enabled=0.

	* Cleaned up FA_Core.pm


2019-04-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000470 released

        * Updated Local ISet Ampache_is.pm.


2019-04-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000469 released

        * Updated Local ISet Ampache_is.pm.


2019-03-31  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000468 released

        * Updated Local ISet Ampache_is.pm.


2019-03-31  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000467 released

        * Updated Local ISet Ampache_is.pm.


2019-03-29  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000466 released

        * Updated Local ISet Ampache_is.pm.


2019-03-13  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000465 released

        * New Local ISet Ampache_is.pm.


2019-01-02  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000464 released

        * Added passphrase filter to FA_Core.pm.

	* Updated year for copyright.


2019-01-02  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000463 released

        * Added echo y to amazon-linux-extras.


2019-01-02  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000462 released

        * Added amazon-linux-extras to Makefile.PL


2019-01-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000461 released

	* HAPPY NEW YEAR!

        * Now using Proc::ProcessTable for ps stuff


2018-12-27  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000460 released

        * Fixed Makefile.PL


2018-12-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000459 released

	* MERRY CHRISTMAS!

        * Added -y to yum rpmfusion install.


2018-12-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000458 released

        * Replaced non-maintained RPMforge with RPMfusion.


2018-12-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000457 released

        * Updated Local ISet Wordpress_is.pm.


2018-12-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000456 released

        * Updated Makefile.PL - updated amazon
          discovery.


2018-12-10  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000455 released

	* Updated Makefile.PL - updated Cygwin
	  dependency from libisl10 to libisl15.

	* Repaired Makefile.PL for latest Cygwin
	  release.

	* Removed -Werror from Win32::OLE make file.

	* Added $(CHMOD) to installbin in Makefile.PL.


2018-12-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000454 released

        * Updated Local ISet ClipBucket_is.pm.

	* Added google-drive-ocamlfuse install.


2018-12-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000453 released

        * Updated Local ISet ClipBucket_is.pm.

	* Using ClipBucket recommended versions
	  of ffmpeg (2.X) and PHP (7.0.X).


2018-12-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000452 released

        * Updated Local ISet ClipBucket_is.pm.


2018-12-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000451 released

        * Updated Local ISet ClipBucket_is.pm.


2018-12-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000450 released

        * Updated Local ISet ClipBucket_is.pm.


2018-12-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000449 released

        * Updated Local ISet ClipBucket_is.pm.


2018-12-06  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000448 released

        * Updated Local ISet ClipBucket_is.pm.


2018-12-06  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000447 released

        * Updated Local ISet ClipBucket_is.pm.

	* Updated FA_Core.pm to add password
	  bypass with determine_password().


2018-12-05  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000446 released

        * Updated Local ISet ClipBucket_is.pm.


2018-12-02  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000445 released

        * Updated Local ISet ClipBucket_is.pm.


2018-12-01  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000444 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000443 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-26  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000442 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-26  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000441 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000440 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000439 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000438 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000437 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000436 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000435 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-22  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000434 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000433 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000432 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000431 released

        * Updated Local ISet ClipBucket_is.pm.


2018-11-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000430 released

        * Updated Local ISet ClipBucket_is.pm.


2018-10-31  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000429 released

        * Updated Local ISet ClipBucket_is.pm.


2018-10-31  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000428 released

        * Updated Local ISet ClipBucket_is.pm.


2018-10-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000427 released

        * Updated Local ISet ClipBucket_is.pm.


2018-10-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000426 released

        * Updated Local ISet ClipBucket_is.pm. 


2018-10-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000425 released

        * Fixed CTRL-C in FA_Core.pm

	* fa_local.pm how handles AWS.


2018-10-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000424 released

        * Updated Oracle berkeley_download() in Makefile.PL.


2018-10-08  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000423 released

        * Updated Oracle url in Makefile.PL.


2018-10-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000422 released

	* Updated Oracle url in Makefile.PL.


2018-10-07  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000421 released

        * Updated Instruction Set ClipBucket_is.pm.


2018-09-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000420 released

        * Fixed display() to filter stdout:.


2018-09-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000419 released

        * Added sub ftpcmd to main package.


2018-09-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000418 released

        * Added LWP dependencies to Makefile.PL.

	* Added sub put, get and lcd to main package.


2018-09-02  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000417 released

        * Updated Instruction Set ClipBucket_is.pm. 


2018-08-28  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000416 released

        * Fixed recursive lookup of path info in
	  FA_Core.pm.


2018-08-26  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000415 released

        * Updated Makefile.PL.


2018-08-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000414 released

        * Updated Instruction Set ClipBucket_is.pm.


2018-08-20  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000413 released

        * Updated check for amazon.


2018-08-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000412 released

        * Updated Instruction Set ClipBucket_is.pm.


2018-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000411 released

        * New Local Instruction Set ClipBucket_is.pm.


2018-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000410 released

        * Fix for detecting Amazon EC2.


2018-08-18  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000409 released

        * Fix for detecting Amazon EC2.


2018-08-06  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000408 released

        * Fix to move_tarfile routine.


2018-07-31  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000407 released

        * Use "determine_password" every time.


2018-07-23  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000406 released

        * Updated Makefile.PL to use specific BerkeleyDB.


2018-01-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000405 released

        * Updated Makefile.PL.


2017-12-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000404 released

        * Updated Instruction Set WordPress_is.pm.


2017-12-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000403 released

        * Updated Instruction Set WordPress_is.pm.


2017-12-10  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000402 released

        * Updated Instruction Set WordPress_is.pm.


2017-12-05  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000401 released

        * Updated Instruction Set WordPress_is.pm.


2017-12-04  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000400 released

        * Updated Instruction Set WordPress_is.pm.


2017-11-25  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000399 released

        * Updated Instruction Set WordPress_is.pm.


2017-11-21  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000398 released

        * Updated Instruction Set WordPress_is.pm.


2017-11-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000397 released

        * Updated Instruction Set WordPress_is.pm.


2017-11-06  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000396 released

        * New Local Instruction Set WordPress_is.pm.


2017-10-29  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000395 released

        * Updated API install.


2017-06-19  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000394 released

        * Hadoop_is.pm upgraded to Java 8.


2017-06-14  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000393 released

        * Jenkins_is.pm now FULLY works.


2017-06-12  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000392 released

        * Updated Jenkins_is.pm.


2017-06-11  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000391 released

        * Updated ClipBucket_is.pm to copy ogg.pc.


2017-06-10  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000390 released

        * Updated ClipBucket_is.pm to latest nasm.


2017-06-10  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000389 released

	* Updated Hadoop_is.pm and ClipBucket_is.pm.


2017-06-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000388 released

        * Updated Makefile.PL to exclude sub in ExtUtils::MM_Any


2017-06-09  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000387 released

        * Updated Makefile.PL to exclude sub in MM_Any

	* New Jenkins Instruction Set.


2017-04-24  Brian M. Kelly <Brian.Kelly@fullauto.com>

        * Version 1.0000386 released

	* Updated Chef Instruction Set.


2017-03-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000385 released

        * New Chef Instruction Set.


2017-03-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000384 released

        * Added zip.exe to API build.


2017-02-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000383 released

        * Fixed display in cmd_raw.


2017-02-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000382 released

        * Fixed display in cmd_raw.


2017-02-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000381 released

	* Added logs to fa_logs.zip in curdir for Linux.


2017-02-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000380 released

	* Removed libcloog-isl4 dependency from Makefile.PL.


2017-02-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000379 released

        * Added CAUTION screen to ClipBucket ISet to
          warn of high Amazon bandwidth cost.


2017-02-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000378 released

        * Changed timeout on mediainfo download for
          ClipBucket ISET.


2017-02-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000377 released

        * Updated Makefile.PL to handle can't load
          error.


2017-02-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000376 released

        * Updated Makefile.PL to handle can't load
	  error.


2017-02-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000375 released

        * Added 10 mirrors for fedora words rpm.


2017-01-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000374 released

        * Grabbing dir from inside tar for libevent.


2017-01-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000373 released

        * Using autogen.sh for libevent.


2017-01-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000372 released

        * Final fixes for API released.


2017-01-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000371 released

        * Syntax error. Fix mentioned in
          1.0000370 was botched.


2017-01-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000370 released

        * Change control error. Fix mentioned in
	  1.0000369 was not actually deployed.


2017-01-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000369 released

        * Fixed Nginx permission in API.


2017-01-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000368 released

        * Fixed Exim version in API.


2017-01-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000367 released

        * Fixed Exim version in API.


2017-01-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000366 released

        * Increased timeout to 300 for libevent
	  .configure.


2017-01-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000365 released

        * FA_Core.pm fix for dup letters in command.


2017-01-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000364 released

        * Put quotes are password for nginx.


2017-01-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000363 released

        * FA_Core.pm fix home_dir.


2017-01-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000362 released

        * FA_Core.pm fix for dup letters in command.


2017-01-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000361 released

        * FA_Core.pm fix for '' in command.


2017-01-18  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000360 released

        * Zlib fix for FA API.


2017-01-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000359 released

        * New version of pcre for FA API.


2017-01-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000358 released

        * New version of pcre for GNU Social &
	  ClipBucket ISets.


2017-01-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000357 released

	* Dynamic lookup of Zlib version.

        * New version of Zlib for GNU Social ISet.


2017-01-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000356 released

        * sha256sum instead of md5sum for Zlib.

	* Dynamic lookup of Zlib version.


2017-01-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000355 released

        * sha256sum instead of md5sum for Zlib.


2017-01-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000354 released

        * New version of Zlib for GNU Social ISet.


2017-01-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000353 released

        * Implemented private ISets in Dashboard.

	* Updated Copyright to 2017.


2016-12-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000352 released

        * Fixed image upload for GNUSocial ISet.


2016-12-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000351 released

        * Fixed image upload for GNUSocial ISet.


2016-12-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000350 released

        * Fixed image upload for GNUSocial ISet.


2016-12-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000349 released

        * Added FullAuto Image to GNUSocial ISet.


2016-12-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000348 released

        * Added --log to API build.


2016-12-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000347 released

	* Updated API build with new words locations.


2016-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000346 released

        * Last Fix for image upload for ClipBucket ISet.


2016-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000345 released

        * Fixed image upload for ClipBucket ISet.


2016-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000344 released

        * Fixed image upload for ClipBucket ISet.


2016-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000343 released

        * Fixed image upload for ClipBucket ISet.


2016-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000342 released

        * Added zip handling to OpenLDAP ISet.

	* Added "BUILT WITH FullAuto" image to
	  ClipBucket ISet.
	  
	* Forced CPAN CatalystX::OAuth2 install
	  in FullAuto API ISet.


2016-12-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000341 released

        * Fixed typo in fa_amazon.pm


2016-12-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000340 released

        * Changed Cleanup in AWS Installer Dashboard.


2016-12-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000339 released

        * Added Sub::Defer module dependency to
	  Makefile.PL.


2016-12-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000338 released

        * Fixed CLIPBUCKET_is issues.


2016-12-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000337 released

        * Fixed CLIPBUCKET_is issues.


2016-12-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000336 released

        * Added --dashboard argument.


2016-12-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000335 released

        * Updated permission wording on install.


2016-12-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000334 released

        * Fixed error when unprotected key file.


2016-11-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000333 released

        * Changed timeout for ffmpeg install in
	  CLIPBUCKET Instruction Set.


2016-11-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000332 released

        * Fixed loop to test for file in CLIPBUCKET
          Instruction Set.


2016-11-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000331 released

        * Added loop to test for file in CLIPBUCKET
	  Instruction Set.


2016-11-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000330 released

        * Added License screens to CLIPBUCKET Instruction Set.


2016-11-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000329 released

        * CLIPBUCKET Instruction Set email complete.


2016-11-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000328 released

        * CLIPBUCKET Instruction Set complete except
          for email. Can now upload and watch videos.


2016-11-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000327 released

        * CLIPBUCKET Instruction complete except for
          email. Can now upload and watch videos.


2016-11-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000326 released

        * CLIPBUCKET Instruction complete except for
	  email.


2016-11-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000325 released

        * CLIPBUCKET Instruction Set now loads.


2016-11-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000324 released

        * CLIPBUCKET Instruction Set nearing completion.


2016-10-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000323 released

        * Force LibZMQ install for API.


2016-10-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000322 released

        * Temp change for LibZMQ for API.


2016-10-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000321 released

        * Temp change for LibZMQ for API.


2016-10-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000320 released

        * Perl syntax weakness corrected in fa_amazon.pm


2016-10-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000319 released

        * yum update in Liferay ISet for java 8.


2016-10-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000318 released

        * Fixed regex error in Hadoop and Kali ISets.


2016-10-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000317 released

        * Fixed long standing sftp issues when using
          cwd().


2016-10-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000316 released

        * Fixed Catalyst ISet.


2016-10-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000315 released

        * Fixed Catalyst ISet.


2016-10-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000314 released

        * Fixed regex error in Hadoop and Kali ISets.


2016-10-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000313 released

        * Fixed scope error in Hadoop and Kali ISets.


2016-10-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000312 released

        * Updated Hadoop ISet with dynamic ami finder.

        * Updated KaliLinux ISet with dynamic ami finder.

        * Fixed hex error.


2016-10-18  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000311 released

        * Updated Hadoop ISet with new ami server.

        * Fixed cwd() weakness in FA_Core.pm.


2016-10-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000310 released

        * Removed Term::Menus version in Makefile.PL.


2016-10-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000309 released

        * Changed connect_to_internet_ok to 1

        * Added use lib '.' to Makefile.PL


2016-10-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000308 released

        * Moved Capture::Tiny above Term::Menus in
          Makefile.PL.


2016-10-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000307 released

        * Changes to API ISet.


2016-10-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000306 released

        * New Term::Menus 3.011.


2016-10-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000305 released

        * New Term::Menus 3.010.


2016-10-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000304 released

        * Added fix for XS Stash in FA API ISet.


2016-10-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000303 released

        * Added fix for XS Stash in FA API ISet.


2016-10-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000302 released

        * Added fixed fullautoapi init script to api.

        * Added IO::Interactive dependency.


2016-10-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000301 released

        * Added memcached and fullautoapi init scripts
          to MANIFEST.


2016-10-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000300 released

        * Added service manager for Linux based FullAuto
          API server.

        * Added password generations and entry to
          FullAutoAPI instruction set.


2016-10-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000299 released

        * Fixed typo in FA_Core.pm.


2016-10-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000298 released

        * Fixed too many escapes for single quote
          around identity file.


2016-10-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000297 released

        * Fixed too many escapes for single quote
          around identity file.


2016-10-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000296 released

        * Removed STDOUT argument for updated
          Term::ReadKey.


2016-10-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000295 released

        * Added List::Util as a dependency in
          Makefile.PL.


2016-10-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000294 released

        * Syntax fix for API ISet.


2016-10-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000293 released

        * Syntax fix for API ISet.


2016-10-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000292 released

        * Fixes for Docker ISet.


2016-10-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000291 released

        * Updated Makefile.PL to change procps to
          procps-ng.


2016-10-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000290 released

        * Fix for support for key files with spaces.


2016-10-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000289 released

        * Fix for support for key files with spaces.


2016-10-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000288 released

        * Put in support for key files with spaces.


2016-09-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000287 released

        * Dynamically derive ImageId in python Docker
          Instruction Set.


2016-09-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000286 released

        * Added create access token screen to
          gnusocial instruction set.


2016-09-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000285 released

        * Fixed python Docker instruction set.


2016-09-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000284 released

        * Fixed python Docker instruction set.


2016-09-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000283 released

        * Fixed python Docker instruction set.


2016-09-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000282 released

        * Added more ~ handling to cwd().


2016-09-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000281 released

        * Fixed git build for memcached.


2016-09-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000280 released

        * Fixed git build for memcached.


2016-09-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000279 released

        * New git location for memcached.


2016-09-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000278 released

        * Final changes to python Docker Instruction Set.


2016-09-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000277 released

        * More changes to python Docker Instruction Set.


2016-09-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000276 released

        * More changes to python Docker Instruction Set.


2016-09-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000275 released

        * Repaired python Docker Instruction Set.


2016-09-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000274 released

        * Completed FullAutoAPI.pm Linux build.


2016-09-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000273 released

        * Completed FullAutoAPI.pm Linux build.


2016-09-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000272 released

        * Update FullAutoAPI.pm for Linux build.


2016-09-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000271 released

        * Replaced slash in fullautoapi User.pm.


2016-09-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000270 released

        * Fixed cygserver code in Makefile.PL.


2016-09-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000269 released

        * Fixed Cygwin problem in Makefile.PL.


2016-09-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000268 released

        * Test for Cygwin problem in Makefile.PL.


2016-09-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000267 released

        * Fixed permission on db folder.


2016-09-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000266 released

        * Bug fix for using cygrunsrv with installer
          to start api services.

2016-09-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000265 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000264 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000263 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000262 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000261 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000260 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000259 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000259 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000258 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000257 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000256 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000255 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000254 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000253 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000252 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000251 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000250 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000249 released

        * Bug fix for using cygrunsrv with installer
          to start api services.


2016-09-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000248 released

        * Using cygrunsrv with installer to start
          api services.


2016-09-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000247 released

        * More experimenting with starting no services
          for api.


2016-09-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000246 released

        * Experimenting with starting no services
          for api.


2016-09-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000245 released

        * Experimenting with nohup starting server.


2016-09-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000244 released

        * Experimenting with not starting server.


2016-09-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000243 released

        * Added start to cmd /c.


2016-09-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000242 released

        * Added exit to end of Makefile.


2016-09-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000241 released

        * Attempted fix for Cygwin install in
          Makefile.PL.


2016-09-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000240 released

        * Fix for static dir in Local FullAutoAPI.


2016-09-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000239 released

        * Fix for Local FullAutoAPI.


2016-09-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000238 released

        * Changed a couple exim defaults for API.


2016-09-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000237 released

        * Another Fix for FullAutoAPI CPAN downloads.


2016-09-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000236 released

        * Fix for FullAutoAPI CPAN downloads.


2016-08-31  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000235 released

        * Fix for private instruction set.


2016-08-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000234 released

        * Added support for apostrophe in sitename
          in GNU Social instruction set.


2016-08-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000233 released

        * Added instruction page for twitter
          permission setup.


2016-08-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000232 released

        * Added support for private Instruction Sets.


2016-08-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000231 released

        * Added support for private Instruction Sets.


2016-08-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000230 released

        * Updated Twitter Bridge code for GNU Social.


2016-08-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000229 released

        * Twitter Bridge now works with GNU Social.


2016-08-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000228 released

        * Included wrong file in last release.


2016-08-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000227 released

        * Update of GNU Social for twitter bridge.


2016-08-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000226 released

        * Update of GNU Social for twitter bridge.


2016-08-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000225 released

        * Update of GNU Social for email messages.


2016-08-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000224 released

        * Update of GNU Social for password input.


2016-08-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000223 released

        * Update of GNU Social for password input.


2016-08-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000222 released

        * Update of GNU Social for site build input.


2016-08-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000221 released

        * Update of GNU Social for site name input.


2016-08-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000220 released

        * Update of GNU Social for email verification.


2016-08-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000219 released

        * Update of GNU Social for email verification.


2016-08-15  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000218 released

        * Elastic IP setup work on New GNU Social
          Instruction Set.


2016-08-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000217 released

        * Elastic IP setup work on New GNU Social
          Instruction Set.


2016-08-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000216 released

        * Email setup work on New GNU Social
          Instruction Set.


2016-08-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000215 released

        * Email setup work on New GNU Social
          Instruction Set.


2016-08-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000214 released

        * More work on New GNU Social Instruction Set.


2016-08-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000213 released

        * New GNU Social Instruction Set now
          operational.


2016-08-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000212 released

        * Added new GNU Social Instruction Set.


2016-07-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000211 released

        * Another Fix attempt in wait_for_passwd for
          Ubuntu.


2016-07-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000210 released

        * Another Fix attempt in wait_for_passwd for
          Ubuntu.


2016-07-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000209 released

        * Fix in wait_for_passwd for Ubuntu.


2016-07-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000208 released

        * Fix in wait_for_passwd for Ubuntu.


2016-07-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000207 released

        * Added live output for sftp.


2016-07-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000206 released

        * Added retry for failed key verification


2016-07-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000205 released

        * Updated Liferay ISet path in
          fullautoapi_fastcgi.pl.

       
2016-07-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000204 released

        * Updated Liferay ISet to fix ez_setup.py
          issue.


2016-07-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000203 released

        * Updated Liferay ISet to fix encode_json
          issue.

2016-07-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000203 released

        * Updated Liferay ISet to fix encode_json
          issue.


2016-07-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000202 released

        * Modified Liferay ISet for version 7 - mysql56.


2016-07-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000201 released

        * Modified Liferay ISet for version 7 - mysql56.


2016-07-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000200 released

        * Modified Liferay ISet for version 7.


2016-07-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000199 released

        * Modified Liferay ISet for version 7.


2016-07-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000198 released

        * Modified Liferay ISet for version 7.


2016-07-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000197 released

        * Added retry for "Connection refused" rather
          than die.


2016-07-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000196 released

        * Fixed sftp login when using stored encrypted
          password.


2016-06-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000195 released.

        * More updates to API ISet.


2016-06-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000194 released.

        * More updates to API ISet.

        * FullAuto can now connect to docker containers.


2016-06-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000193 released.

        * More updates to API ISet.


2016-06-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000192 released.

        * More updates to API ISet.


2016-06-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000191 released.

        * More updates to API ISet.


2016-06-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000190 released.

        * More updates to API ISet.


2016-06-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000189 released.

        * More updates to API ISet.


2016-06-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000188 released.

        * More updates to API ISet.


2016-06-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000187 released.

        * More updates to API ISet.


2016-06-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000186 released.

        * More updates to API ISet.


2016-06-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000185 released.

        * More updates to API ISet.


2016-06-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000184 released.

        * More updates to API ISet.


2016-06-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000183 released.

        * More updates to API ISet.


2016-05-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000182 released.

        * More updates to API ISet.


2016-05-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000181 released.

        * More updates to API ISet.


2016-05-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000180 released.

        * More updates to API ISet.


2016-05-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000179 released.

        * More updates to API ISet.


2016-05-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000178 released.

        * More updates to API ISet.


2016-05-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000177 released.

        * More updates to API ISet. Updated Schema.


2016-05-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000176 released.

        * More updates to API ISet. Updated Schema.


2016-05-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000175 released.

        * More updates to API ISet. Updated Schema.


2016-05-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000174 released.

        * More updates to API ISet.


2016-05-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000173 released.

        * More updates to API ISet.


2016-05-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000172 released.

        * More updates to API ISet.


2016-05-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000171 released.

        * More updates to API ISet.


2016-05-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000170 released.

        * More updates to API ISet.


2016-05-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000169 released.

        * More updates to API ISet.


2016-05-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000168 released.

        * More updates to API ISet.


2016-05-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000167 released.

        * More updates to API ISet.


2016-05-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000166 released.

        * More updates to API ISet.


2016-05-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000165 released.

        * More updates to API ISet.


2016-05-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000164 released.

        * More updates to API ISet.


2016-05-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000163 released.

        * Repaired DB schema in API ISet.


2016-05-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000162 released.

        * Repaired Nginx login in API ISet.


2016-05-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000161 released.

        * Repaired Email install in API ISet.


2016-05-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000160 released.

        * Implemented SSL in FullAuto API ISet.


2016-05-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000159 released.

        * client->client_id changed to client->id in
          FullAuto API ISet.


2016-05-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000158 released.

        * Rolled back Nginx for Cygwin API build.


2016-05-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000157 released.

        * Fixed typo bug in FullAuto API ISet.


2016-05-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000156 released.

        * Fixed Windows bugs in FullAuto API ISet.


2016-05-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000155 released.

        * Fixed typo bug in FullAuto API ISet.


2016-05-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000154 released.

        * OAuth2 now works for FullAuto API.


2016-04-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000153 released.

        * Fixed sql bugs in FullAutoAPI ISet.


2016-04-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000152 released.

        * Added conversion logic that was not copied
          to 1.0000151.


2016-04-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000151 released.

        * Needed to escape @ inOAuth2 instructions in
          FullAuto API ISet.


2016-04-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000150 released.

        * Added OAuth2 instructions to FullAuto API
          ISet.


2016-04-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000149 released.

        * Updated FullAuto API ISet. Catalyst::Devel
          skip test for Cygwin because no Starman.


2016-04-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000148 released.

        * Updated FullAuto API ISet. Fixed profile.


2016-04-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000147 released.

        * Updated FullAuto API ISet.


2016-04-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000146 released.

        * Updated FullAuto API ISet - Authentication
          now complete.


2016-04-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000145 released.

        * Updated FullAuto API ISet.


2016-04-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000144 released.

        * Fixed Makefile.PL for MakeMaker update
          (re-added mkdir -p).


2016-04-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000143 released.

        * Fixed Makefile.PL for MakeMaker update
          (removed mkdir -p).


2016-04-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000142 released.

        * Fixed Makefile.PL for MakeMaker update
          (added mkdir -p).


2016-04-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000141 released.

        * Fixed Makefile.PL for MakeMaker update.


2016-04-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000140 released.

        * Fixed Makefile.PL for MakeMaker update.


2016-04-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000139 released.

        * Added Model logic for API ISet.


2016-04-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000138 released.

        * Removed dynamic from Makefile.


2016-04-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000137 released.

        * Removed dynamic_bs from Makefile.


2016-04-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000136 released.

        * Added fullauto.c to MANIFEST.


2016-04-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000135 released.

        * Updated FullAuto API ISet to create dbs
          for OAuth2.


2016-04-18  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000134 released.

        * Updated FullAuto API ISet to correct
          wrong version upload of 1.0000133.


2016-04-18  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000133 released.

        * Updated FullAuto API ISet to fix
          change_password link.


2016-04-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000132 released.

        * Updated FullAuto API ISet to fix 'extends'
          bug.


2016-04-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000131 released.

        * Updated FullAuto API ISet to fix 'extends'
          bug.


2016-04-15  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000130 released.

        * Updated FullAuto API ISet to fix bug.


2016-04-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000129 released.

        * Updated FullAuto API ISet to fix bug.


2016-04-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000128 released.

        * Updated FullAuto API ISet to fix bug.


2016-04-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000127 released.

        * Updated FullAuto API ISet to fix bug.


2016-04-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000126 released.

        * Updated FullAuto API ISet to add more
          authentication code.


2016-04-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000125 released.

        * Updated FullAuto API ISet to add more
          authentication code.


2016-04-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000124 released.

        * Updated FullAuto API ISet to add more
          authentication code.


2016-04-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000123 released.

        * Updated FullAuto API ISet to add
          authentication code.


2016-04-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000122 released.

        * Updated Makefile.PL to pass ENV variable to
          sudo.


2016-04-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000121 released.

        * FullAuto API now installs on Linux via
          fa --iset-local.


2016-04-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000120 released.

        * Fix for Windows Installer & FullAuto API.


2016-04-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000119 released.

        * Windows Installer now installs FullAuto API.


2016-04-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000118 released.

        * More work on FullAuto API.


2016-04-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000117 released.

        * More updates to POD documentation.


2016-03-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000116 released.

        * More updates to POD documentation.


2016-03-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000115 released.

        * More updates to POD documentation.


2016-03-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000114 released.

        * More updates to POD documentation.


2016-03-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000112 released.

        * More updates to POD documentation.


2016-03-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000111 released.

        * More updates to POD documentation.


2016-03-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000110 released.

        * More updates to POD documentation.


2016-03-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000109 released.

        * Fix for Berkeley DB when new user.


2016-03-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000108 released.

        * More updates to POD documentation.


2016-03-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000107 released.

        * More updates to POD documentation.


2016-03-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000106 released.

        * More updates to POD documentation.

        * More fixes to acquire_fa_lock().


2016-03-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000105 released.

        * More updates to POD documentation.

        * More fixes to acquire_fa_lock().

        * Consolidated berkeleydb connect to one
          connect_berkeleydb().

        * sigchild=ignore to sigchild=default.


2016-03-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000104 released.

        * More updates to POD documentation.

        * More fixes to acquire_fa_lock().


2016-03-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000103 released.

        * MAJOR update to POD documentation.


2016-03-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000102 released.

        * Turned off buffering for sftp.


2016-03-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000101 released.

        * Now discovers and cleans child processes of
          processes with expired locks.


2016-03-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000100 released.

        * Added warning to Makefile.PL that FullAuto install
          will update dependencies and remove duplicates.

        * connect_shell() will now connect without any server
          arguments.


2016-03-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000099 released.

        * Updated acquire_fa_lock.


2016-03-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000098 released.

        * Updated acquire_fa_lock.


2016-03-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000097 released.

        * Fixed ls_parse.


2016-03-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000096 released.

        * Fixed ls_parse.


2016-03-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000095 released.

        * Fixed ls_parse.


2016-03-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000094 released.

        * Changed Mo::builder to Mo in Makefile.PL.


2016-03-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000093 released.

        * Added ls_parse to supported methods.


2016-03-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000092 released.

        * Fixed locking.


2016-02-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000091 released.

        * Fixed sftp output.


2016-02-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000090 released.

        * Fixed sftp output.

        * Fixed acquire_fa_lock().


2016-02-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000089 released.

        * Worked on API authentication code db stuff.


2016-02-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000088 released.

        * Worked on API authentication code db stuff.


2016-02-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000087 released.

        * Worked on API authentication code db stuff.


2016-02-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000086 released.

        * Worked on API authentication code db stuff.


2016-02-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000085 released.

        * Worked on API authentication code db stuff.


2016-02-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000084 released.

        * Worked on API authentication code db stuff.


2016-02-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000083 released.

        * Worked on API authentication code db stuff.


2016-02-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000082 released.

        * Worked on API authentication code db stuff.


2016-02-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000081 released.

        * Worked on API authentication code db stuff.


2016-02-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000080 released.

        * Worked on API authentication code db stuff.


2016-02-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000079 released.

        * Worked on API authentication code db stuff.


2016-02-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000078 released.

        * Worked on API authentication code db stuff.


2016-02-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000077 released.

        * Worked on API authentication code db stuff.


2016-02-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000076 released.

        * Worked on API authentication code db stuff.


2016-02-18  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000075 released.

        * Worked on API authentication code db stuff.


2016-02-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000074 released.

        * Worked on API authentication code db stuff.


2016-02-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000073 released.

        * Worked on API authentication code db stuff.


2016-02-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000072 released.

        * Worked on API authentication code db stuff.


2016-02-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000071 released.

        * Worked on API authentication code db stuff.

        * Fixed exitcode when no newline.


2016-02-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000070 released.

        * Worked on API authentication code db stuff.


2016-02-15  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000069 released.

        * Worked on API authentication code db stuff.


2016-02-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000068 released.

        * Worked on API authentication code db stuff.


2016-02-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000067 released.

        * Worked on API authentication code db stuff.


2016-02-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000066 released.

        * Worked on API authentication code db stuff.


2016-02-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000065 released.

        * Worked on API authentication code db stuff.


2016-02-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000064 released.

        * Worked on API authentication code db stuff.

        * Happy Valentine's Day!


2016-02-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000063 released.

        * Worked on API authentication code db stuff.


2016-02-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000062 released.

        * Worked on API authentication code db stuff.


2016-02-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000061 released.

        * Worked on API authentication code db stuff.


2016-02-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000060 released.

        * Worked on API authentication code db stuff.


2016-02-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000059 released.

        * Worked on API authentication code db stuff.


2016-02-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000058 released.

        * Worked on API authentication code db stuff.


2016-02-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000057 released.

        * Worked on API authentication code db stuff.


2016-02-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000056 released.

        * Worked on API authentication code db stuff.


2016-02-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000055 released.

        * Worked on API authentication code db stuff.


2016-02-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000054 released.

        * Renamed Local::Chaining_is.pm ISet to
          Local::FullAutoAPI_is.pm

        * Worked on API authentication code.


2016-02-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000053 released.

        * Added more authentication code to Local
          Chaining ISet.


2016-02-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000052 released.

        * Added more authentication code to Local
          Chaining ISet.


2016-02-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000051 released.

        * Added authentication code to Local Chaining
          ISet.


2016-01-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000050 released.

        * Fixed handling for old ssh/sftp -o
          IdentityFile.


2016-01-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000049 released.

        * Added handling for old ssh/sftp -o
          IdentityFile.


2016-01-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000048 released.

        * Added missing Cygwin dependencies to Makefile.PL.


2016-01-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000047 released.

        * Fixed Makefile.PL when encountering old
          cpan installation.


2016-01-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000046 released.

        * Fixed Makefile.PL when encountering old
          cpan installation.


2016-01-18  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000045 released.

        * KaliLinux_is.pm iset has been re-done.


2016-01-18  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000044 released.

        * Fix attempt KaliLinux_is.pm iset.


2016-01-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000043 released.

        * Fixed KaliLinux_is.pm iset.


2016-01-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000042 released.

        * Fixed Hadoop_is.pm iset.

        * Amazon isets now build from Linux shell.


2016-01-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000041 released.

        * Work on fixing GLOB error at end of ISet when
          run from Windoes Installer.


2016-01-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000040 released.

        * Work on fixing GLOB error at end of ISet when
          run from Windoes Installer.


2016-01-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000039 released.

        * Work on fixing GLOB error at end of ISet when
          run from Windoes Installer.


2016-01-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000038 released.

        * Added no test Perl::Critic install to Chaining
          ISet - fixed typo.


2016-01-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000037 released.

        * Added no test Perl::Critic install to Chaining
          ISet.


2016-01-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000036 released.

        * Converted more system() to fa_system() in
          Makefile.PL.


2016-01-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000035 released.

        * Converted all dies to fa_die in Makefile.PL.

        * New use experience fixed.


2016-01-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000034 released.

        * Moved overwrite directive out of BEGIN block.


2016-01-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000033 released.

        * Work on new user experience.


2016-01-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000032 released.

        * Permanent fix for local::lib issue in
          Makefile.PL in Linux/Unix.

        * More work on logging in Makefile.PL.


2016-01-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000031 released.

        * Permanent fix for local::lib issue in
          Makefile.PL.

        * More work on logging in Makefile.PL.


2016-01-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000030 released.

        * Attempted fix of logging in Makefile.PL.


2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000029 released.

        * Completed work on Windows Installer.


2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000028 released.

        * More work on Windows Installer.

2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000028 released.

        * More work on Windows Installer.


2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000027 released.

        * More work on Windows Installer.


2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000026 released.

        * More work on Windows Installer.


2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000025 released.

        * More work on Windows Installer.


2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000024 released.

        * Added fake OS2::DLLname for Windows Installer.


2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000023 released.

        * Added Mo::builder to the Windows Installer.


2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000022 released.

        * More work on the Windows Installer.


2016-01-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000021 released.

        * More work on the Windows Installer.


2016-01-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000020 released.

        * More work on the Windows Installer.


2016-01-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000019 released.

        * Implemented SIG{__DIE__} in Makefile.PL.


2016-01-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000018 released.

        * Rollback to 1.0000011.

        * cp MyConfig.pm in Windows Installer.


2016-01-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000017 released.

        * More Logging work for Windows Installer.


2016-01-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000016 released.

        * More Logging work for Windows Installer.

`
2016-01-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000015 released.

        * More Logging work for Windows Installer.


2016-01-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000014 released.

        * More Logging work for Windows Installer.


2016-01-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000013 released.

        * More Logging work for Windows Installer.


2016-01-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000012 released.

        * Added Logging for Windows Installer. 


2016-01-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000011 released.

        * Force INSTALL_BASE to /usr/lib/perl5 in
          Cygwin - Fix.

2016-01-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000010 released.

        * Force INSTALL_BASE to /usr/lib/perl5 in
          Cygwin.


2016-01-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000009 released.

        * Fix pass through to iset-local or new-user.


2016-01-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000008 released.

        * Fix pass through to iset-local or new-user.


2016-01-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000007 released.

        * Fix pass through to iset-local or new-user.


2016-01-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000006 released.

        * Fix pass through to iset-local or new-user.


2016-01-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000005 released.

        * Fix pass through to iset-local or new-user.


2016-01-01  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000004 released.

        * Fix pass through to iset-local or new-user.

        * Happy New Year!


2015-12-31  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000003 released.

        * Now passes through to iset-local or new-user.


2015-12-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000002 released.

        * Put old IO::Pty logic back.


2015-12-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000001 released.

        * Put old Module::Build logic back.


2015-12-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 1.0000 released.

        * Removed use statement breaking Linux.

        * Updated Copyright for 2016.


2015-12-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999928 released.

        * Adding iset menu to Makefile.PL.


2015-12-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999927 released.

        * Added __DIE__ handler to Makefile.PL.


2015-12-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999926 released.

        * Completed sshd only install in Windows Installer.


2015-12-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999925 released.

        * More Windows Installer fixes.


2015-12-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999924 released.

        * More Windows Installer fixes.


2015-12-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999923 released.

        * More Windows Installer fixes.


2015-12-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999922 released.

        * More Windows Installer fixes.


2015-12-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999921 released.

        * More Windows Installer fixes.


2015-12-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999920 released.

        * More Windows Installer fixes.


2015-12-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999919 released.

        * More Windows Installer fixes.


2015-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999918 released.

        * More Windows Installer fixes.


2015-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999917 released.

        * More Windows Installer fixes.


2015-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999916 released.

        * More Windows Installer fixes.


2015-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999915 released.

        * More Windows Installer fixes.


2015-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999914 released.

        * More Windows Installer fixes.


2015-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999913 released.

        * More Windows Installer fixes.


2015-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999912 released.

        * More Windows Installer fixes.


2015-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999911 released.

        * More Windows Installer fixes.


2015-12-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999910 released.

        * More Windows Installer fixes.


2015-12-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999909 released.

        * More Windows Installer fixes.


2015-12-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999908 released.

        * More Windows Installer fixes.


2015-12-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999907 released.

        * More Windows Installer fixes.


2015-12-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999906 released.

        * More Windows Installer fixes.


2015-12-20  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999905 released.

        * More Windows Installer fixes.


2015-12-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999904 released.

        * More Windows Installer fixes.


2015-12-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999903 released.

        * More Windows Installer fixes.


2015-12-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999902 released.

        * More Windows Installer fixes.


2015-12-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.9999999999999901 released.

        * More Windows Installer fixes.


2015-12-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999999 released.

        * More Windows Installer fixes.


2015-12-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999998 released.

        * More Windows Installer fixes.


2015-12-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999997 released.

        * Fixed Windows Installer.


2015-12-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999996 released.

        * Fixed scoping in Amazon Chaining_is.pm.


2015-12-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999995 released.

        * Changed --new-user-amazon to --iset-amazon


2015-12-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999994 released.

        * Changed Full Access Permissions to open
          /var/db to 777


2015-12-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999993 released.

        * Added OAuth2 module to Catalyst in Local &
          Amazon isets.


2015-11-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999992 released.

        * Fixed display() to filter stdout:.

        * Now recognize lc config elements.


2015-10-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999991 released.

        * Provided fully qualified name for setuid().


2015-10-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999990 released.

        * Toggled $do back to one (overlooked).


2015-10-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999989 released.

        * Put in timeouts for Cygwin menus during setup.


2015-10-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999988 released.

        * Completed Local ISet for Chaining. Chaining
          ISet now works on Amazon Windows micro server.


2015-10-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999987 released.

        * Removed sshd dependency when using Cygwin on
          Windows.


2015-10-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999986 released.

        * Added connect_shell().


2015-10-03  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999985 released.

        * Modified Makefile.PL to not show editor
          choice menu when doing CPAN with Cygwin.


2015-10-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999984 released.

        * Added Support for local::lib.


2015-09-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999983 released.

        * Fix for Full Access Permissions,
          added bash script test.

        * Make site_perl dir if doesn't exist.


2015-09-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999982 released.

        * Changed perl-LWP to perl-libwww-perl for
          cygwin64 dependencies.


2015-09-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999981 released.

        * Added Local directory for Instruction Sets.

        * Ported Amazon/Chaining_is.pm to Local.


2015-09-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999980 released.

        * Fix for Full Access Permissions


2015-09-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999979 released.

        * Add 15 second sleep delay before launching
          browser in Chaining_is.pm instruction set.


2015-09-24  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999978 released.

        * Fix permissons for /var/db/Berkeley/FullAuto
          in Linux/Unix.

        * Fixed \001 in Chaining_is.pm instruction set.


2015-09-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999977 released.

        * Fix permissons for /var/db/Berkeley/FullAuto
          in Linux/Unix.

        * Fixed missing use lines in Chaining_is.pm
          instruction set.


2015-09-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999976 released.

        * Fix permissons for /var/db in Linux/Unix.


2015-09-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999975 released.

        * Fix permissons for Full Access in Linux/Unix.


2015-09-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999974 released.

        * Fix for Chaining_is.pm Instruction Set.


2015-09-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999973 released.

        * Full Access set as install default rather
          than Setuid. (Missed a line in 72)


2015-09-22  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999972 released.

        * Full Access set as install default rather
          than Setuid.


2015-09-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999971 released.

        * ZeroMQ now works for Chaining_is.pm Instruction Set.


2015-09-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999970 released.

        * More ZeroMQ for Chaining_is.pm Instruction Set.


2015-09-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999969 released.

        * Fix for Chaining_is.pm Instruction Set.


2015-09-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999968 released.

        * More ZeroMQ functionality added to Chaining.

        * Url fix for Hadoop.


2015-09-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999967 released.

        * Quick ZeroMQ bug fixes.


2015-09-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999966 released.

        * ZeroMQ added to Chaining ISet.

        * RabbitMQ commented out.


2015-08-31  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999965 released.

        * Net::RabbitFoot added to Chaining ISet.


2015-08-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999964 released.

        * RabbitMQ now installs and runs correctly.


2015-08-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999963 released.

        * Changed RabbitMQ download location.


2015-08-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999962 released.

        * Added RabbitMQ to Chaining Instruction Set.


2015-08-23  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999961 released.

        * Implemented Job Control for Backend FullAuto
          Processes for Chaining.


2015-08-19  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999960 released.

        * Added port 3001 configuration to
          Catalyst REST Example.


2015-08-15  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999959 released.

        * New Instruction Set - Catalyst REST Example.


2015-08-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999958 released.

        * Failed to copy changes for 57 to dist.


2015-08-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999957 released.

        * Effort at building chaining instruction set
          continues.


2015-08-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999956 released.

        * Failed to copy changes for 55 to dist.


2015-08-10  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999955 released.

        * Added TheSwartz schema setup to chaining
          instrution set

        * Added Chaining_is.pm to MANIFEST

 
2015-08-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999954 released.

        * Updated for Perl 5.22 with Cygwin.

        * chomp(line=~tr/.*//d) no longer works in 5.22.
          Changed to two separate lines.

        * Modified Makefile.PL to not ask anything for
          cpan builds.


2015-08-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999953 released.

        * Fixed pid bug introduced in last fix.


2015-08-08  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999952 released.

        * Effort at building chaining instruction set
          now well underway.

        * FullAuto now works when use Net::FullAuto is
          used in a forked process.


2015-08-06  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999951 released.

        * Module::Pluggable now uses Makefile.PL.


2015-07-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999950 released.

        * Forgot to copy 49 fix to distribution.


2015-07-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999949 released.

        * Fixed checksum "fix" :-( in Hadoop instruction set.


2015-07-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999948 released.

        * Fixed checksum testing in Hadoop instruction set.


2015-07-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999947 ieleased.

        * Implemented retry for tar in Hadoop instruction set.


2015-07-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999946 released.

        * Implemented retry for tar in Hadoop instruction set.


2015-07-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999945 released.

        * Reverted adding sudo to start-all in Hadoop instruction set.


2015-07-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999944 released.

        * Added --force-yes to apt-get in Hadoop instruction set.


2015-07-27  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999943 released.

        * Added sudo to ./start-all.sh in Hadoop instruction set.


2015-07-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999942 released.

        * Fix to mv in OpenLDAP instruction set.


2015-07-25  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999941 released.

        * Added retrys to OpenLDAP instruction set.


2015-07-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999940 released.

        * Added logging to scripted version.


2015-07-18  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999939 released.

        * Implemented more SFTP features with spawned
          bash.


2015-07-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999938 released.

        * SFTP now works fully with spawned bash.


2015-07-15  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999937 released.

        * Fix for Kali Linux - increase timeouts.

        * Replaced setfacl with umask for Cygwin.

        * Implemented Spawn configuration.


2015-07-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999936 released.

        * Fix for AWS cleanup for Kali Linux.


2015-07-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999935 released.

        * Fix for AWS cleanup for Kali Linux.


2015-07-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999934 released.

        * Fix for Kali Linux Instruction Set.


2015-07-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999933 released.

        * Fix for Kali Linux Instruction Set.


2015-07-09  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999932 released.

        * Fix for Kali Linux Instruction Set.


2015-07-07  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999931 released.

        * Fix for Hadoop Instruction Set.


2015-07-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999930 released.

        * Improved display formatting and increased
          reliabilty of AWS demos.


2015-07-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999929 released.

        * Improved display formatting and increased
          reliabilty of AWS demos.


2015-06-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999928 released.

        * More cleanup of cwd destination code.


2015-06-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999927 released.

        * Cleanup of cwd destination code.


2015-06-28  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999926 released.

        * Cleanup of authentication code.


2015-06-21  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999925 released.

        * More cleanup of Cygwin/Windows code.


2015-06-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999924 released.

        * More cleanup of Cygwin/Windows code.

        * Cleaned up display logic to show more
          accurate output and suppress return codes.


2015-06-15  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999923 released.

        * More cleanup of Cygwin/Windows code.


2015-06-14  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999922 released.

        * Large cleanup of Cygwin/Windows code.


2015-06-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999921 released.

        * Small fix for Catalyzt Instruction Set.


2015-06-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999920 released.

        * Added https://github.com/pangyre/p5-myapp-10in10
          "10 Models in 10 days" demo to Catalyst install.


2015-05-30  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999919 released.

        * Added Catalyst Instruction Set for Amazon.
 
        * Catalyst ISet sets up working REST service.


2015-05-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999918 released.

        * Fixed more bugs in fa_amazon.pm.


2015-05-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999917 released.

        * Fixed more bugs in fa_amazon.pm.


2015-05-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999916 released.

        * Fixed more bugs in fa_amazon.pm.


2015-05-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999915 released.

        * Fixed more bugs in fa_amazon.pm.


2015-05-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999914 released.

        * Fixed more bugs in fa_amazon.pm.


2015-05-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999913 released.

        * Fixed more bugs in fa_amazon.pm.


2015-05-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999912 released.

        * Fixed more bugs in fa_amazon.pm.


2015-05-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999911 released.

        * Fixed more bugs in fa_amazon.pm.


2015-05-17  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999910 released.

        * Fixed homedir bug in fa_amazon.pm.


2015-05-16  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999909 released.

        * Improved Instruction Set architecture.


2015-05-13  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999908 released.

        * Removed Amazon code from FA_Core.pm and
          created new "Instruction Sets" for 4 demos.

        * Created fa_amazon.pm module with code moved
          from FA_Core.pm.


2015-05-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999907 released.

        * Updated OpenLDAP build to behave like other
          builds and present web gui upon completion.

        * Fixed bug when generating defaults.

        * First code addition for proxy chaining.


2015-04-29  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999906 released.

        * Added new Kali Linux build to Amazon demos.


2015-04-26  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999905 released.

        * Now using bash shell for local ssh.

        * Added $FA_Force_Login option for fa_global.pm.
 
        * Added $force_login option for fa_conf.pm. 

        * Updated documentation.


2015-04-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999904 released.

        * Fix for Hadoop code that does ssh exchange.


2015-04-12  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999903 released.

        * Fixed scroll issue after fa_map removal.


2015-04-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999902 released.

        * Removed fa_map implementation.


2015-04-11  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.99999999999901 released.

        * Improved reliability of hadoop build.

        * Changed FTP parent from ssh to just bash.

        * Updated documentation - added synopsis.


2015-04-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.999999999999 released.

        * Repaired overlooked error in hadoop build.


2015-04-05  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.999999999998 released.

        * Repaired errors introduced with last release.

        * Made href= regex case insensitive.


2015-04-04  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.999999999997 released.

        * Repaired errors introduced with last release.

        * Put in AWS logic to terminate server and relaunch
          when SSH connect takes too long.


2015-04-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.999999999996 released.

        * Fixed Berkeley DB locking with different versions
          of Berkekey DB.


2015-04-02  Brian M. Kelly  <Brian.Kelly@fullauto.com>

        * Version 0.999999999995 released.

        * Updated email to new fullauto.com domain.

        * Fixed Berkeley DB issue with locking.

        * Began LONG process of updating and cleaning up
          documentation.

        * Enabled FullAuto to work more like a traditional
          Perl module using "use Net::FullAuto;".


2015-03-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999994 released.

        * More needed fixes for Apache Hadoop build for Amazon.


2015-03-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999993 released.

        * Needed fixes for Apache Hadoop build for Amazon.


2015-03-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999992 released.

        * Added new Apache Hadoop build for Amazon.


2015-02-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999991 released.

        * Fixed undefined variable in Amazon setup.

        * Added message for CPAN Testers, and disabled CPAN
          testing until further notice.


2015-02-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999990 released.

        * Forgot to copy new FA_Core.pm to lib folder. Have
          to upload again. Apologies to all.


2015-02-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999989 released.

        * More coding for Amazon cleanup.

       
2015-02-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999988 released.

        * Some earlier changes were lost in a botched merge.
          Have to upload missing code. Apologies to all.


2015-02-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999987 released.

        * More coding for Amazon cleanup.


2015-02-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999986 released.

        * Started coding for Amazon cleanup.


2015-02-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999985 released.

        * Enabled Amazon users to use any name for pem file.


2015-02-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999984 released.

        * Fixed code to demo for Amazon cleanup.


2015-02-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999983 released.

        * Updated Windows 64 bit installations.

        * Added code to demo for Amazon cleanup.


2015-02-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999982 released.

        * Improved run_aws_cmd() for Amazon.


2015-02-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999981 released.

        * More timeout handling for Amazon.


2015-01-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999980 released.

        * More timeout handling for Amazon.

        * Added FullAuto Logging to Amazon.


2015-01-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999979 released.

        * More timeout handling for Amazon.

        * Added FullAuto Logging to Amazon.


2015-01-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999978 released.

        * More timeout handling for Amazon.


2015-01-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999977 released.

        * More timeout handling for Amazon.


2015-01-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999976 released.

        * More timeout handling for Amazon.


2015-01-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999975 released.

        * More timeout handling for Amazon.


2015-01-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999974 released.

        * More timeout handling for Amazon.


2015-01-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999973 released.

        * Minor changes before video for demo.


2015-01-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999972 released.

        * Cleaned up error messages.

        * Added please wait message to end of Liferay build.


2015-01-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999971 released.

        * Putting OpenLDAP back into demo choices.


2015-01-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999970 released.

        * Attempt at a fix for AWS credentials configuration.


2015-01-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999969 released.

        * Attempt at a fix for AWS credentials configuration.


2015-01-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999968 released.

        * Another attempt at a fix for AWS transition.


2015-01-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999967 released.

        * Another attempt at a fix for AWS transition.


2015-01-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999966 released.

        * Another attempt at a fix for AWS transition.


2015-01-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999965 released.

        * Another attempt at a fix for AWS transition.


2015-01-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999964 released.

        * Another attempt at a fix for AWS transition.


2015-01-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999963 released.

        * Another attempt at a fix for AWS transition.


2015-01-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999962 released.

        * Need to debug environment that is different when installing
          from cpan. Build from local mirror works perfectly.
          

2015-01-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999961 released.

        * Another transition fix from installing FullAuto to
          working with Amazon EC2 API.


2015-01-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999960 released.

        * Another transition fix from installing FullAuto to
          working with Amazon EC2 API.


2015-01-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999959 released.

        * Another transition fix from installing FullAuto to
          working with Amazon EC2 API.


2015-01-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999958 released.

        * Another transition fix from installing FullAuto to
          working with Amazon EC2 API.


2015-01-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999957 released.

        * Fixed transition from installing FullAuto to working
          with Amazon EC2 API.


2015-01-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999956 released.

        * Added LogCount feature to limit number of logs
          generated over time.

        * Fix for mirror() when mirroring more than one host.


2015-01-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999955 released.

        * Updated Copyright notices to 2015.

        * Demo source is now part of the release.


2014-12-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999954 released.

        * Install dies on error when module complains of
          lacking a dependency.

        * Added Exporter::Tiny to dependencies.

        * Merry Christmas!

        * Logs now go into ~/.fullauto folder by default.


2014-12-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999953 released.

        * Put in logic to handle multiple line commands with
          > arrow keys.

        * Fixed and improved mirror() logic.


2014-12-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999952 released.

        * Added OpenLDAP build to FullAuto demo for AWS.


2014-12-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999951 released.

        * More fixes for wxPerl in AWS.


2014-12-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999950 released.

        * More fixes for wxPerl in AWS.


2014-12-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999949 released.

        * More fixes for wxPerl in AWS.


2014-12-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999948 released.

        * More fixes for wxPerl in AWS.


2014-12-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999947 released.

        * Forgot to update FA_Code.pm in previous release.


2014-12-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999946 released.

        * Fixed wxPerl install.

 
2014-12-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999945 released.

        * Fixed wxPerl install.


2014-12-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999944 released.

        * Added wxPerl to demo list.


2014-12-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999943 released.

        * New AWS Intro in Makefile.PL for Windows exe.


2014-12-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999942 released.

        * Bug fix in Makefile.PL

        * Fix error handling in AWS EC2 Liferay demo. 


2014-12-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999941 released.

        * Bug fix in Makefile.PL


2014-12-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999940 released.

        * Added Module::Install to dependency modules.


2014-12-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999939 released.

        * Fixed Windows Installer - works with latest
          everything.


2014-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999938 released.

        * More code added for the AWS EC2 Liferay demo.


2014-11-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999937 released.

        * More code added for the AWS EC2 Liferay demo.
          First Liferay option is COMPLETE and works!


2014-11-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999936 released.

        * More code added for the AWS EC2 Liferay demo.


2014-11-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999935 released.

        * More code added for the AWS EC2 Liferay demo.

        * __display__ is now more accurate.

        * Fixed cwd() adding Windows field in Linux.


2014-11-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999934 released.

        * More code added for the AWS EC2 Liferay demo.


2014-11-18  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999933 released.

        * More code added for the AWS EC2 Liferay demo.

        * Can now build Apache and install MySQL.


2014-11-18  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999932 released.

        * More code added for the AWS EC2 Liferay demo.


2014-11-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999931 released.

        * More code added for the AWS EC2 Liferay demo.

        * Added --go -g and -c (for code) to really shorten
          invocations.

        * Added fetch() to use with handles to do true 'Expect'
          like processing of interactive command utilities in
          custom code modules.


2014-11-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999930 released.

        * More code added for the AWS EC2 Liferay demo.


2014-11-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999929 released.

        * More code added for the AWS EC2 Liferay demo.


2014-11-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999928 released.

        * Added code to dynamically discover Liferay URL for
          demo.


2014-11-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999927 released.

        * Stood up 7 EC2 small servers on AWS and connected to all
          of them in parallel with ssh.

        * Added code to FA_Core.pm to copy .aws to home directory
          from /root to /home/ec2-user.


2014-11-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999926 released.

        * ++MILESTONE++ - Successfully stood-up AWS server
          vi AWS API and then connected to it via ssh with
          NO manual intervention.


2014-11-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999925 released.

        * Change to Makefile.PL to look for (not installed) in
          addition to testing the loading of a module.


2014-11-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999924 released.

        * New version of Term::Menus paired with this release.

        * Updated Amazon EC2 - gather everything for new
          instances.


2014-10-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999923 released.

        * New version of Term::Menus paired with this release.

        * Updated Amazon EC2 install to choose region, instance
          type and pricing details.


2014-10-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999922 released.

        * Can now use Term::Menus Forms with FullAuto.

        * Updated Amazon EC2 install to activate access key
          credentials.

        * New version of Term::Menus paired with this release.


2014-10-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999921 released.

        * Remove old version of module only if $exec_cnt.


2014-10-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999920 released.

        * Build JSON::PP earlier.


2014-10-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999919 released.

        * Using yum to install CPAN::Meta::YAML on aws.


2014-10-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999918 released.

        * Forcing version 0.011 for CPAN::Meta::YAML.


2014-10-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999917 released.

        * Fixed ssh & sftp for RedHat to other hosts.

        * Added BerkeleyDB to bundled dependencies.


2014-10-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999916 released.

        * Makefile.PL now dynamically looks for latest version
          of dependent module on CPAN to install.


2014-09-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999915 released.

        * Parser enhancement after discovering a couple of 
          command stripping flaws on a Solaris system.


2014-09-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999914 released.

        * Consoladation release. Multiple issues fixed so that
          FullAuto backward compatibility is restored.


2014-09-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999913 released.

        * Fixed multiple install issues in Makefile.PL,
          found when testing on Amazon.


2014-09-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999912 released.

        * Re-arranged some dependencies in Makefile.PL.


2014-09-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999911 released.

        * Added dependencies for CPAN::Mini.


2014-09-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999910 released.

        * Fixed slow logout from improper localhost cleanup.

        * Fixed password parsing for ftp.


2014-09-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999909 released.

        * New ability to install FullAuto with bundled
          dependencies rather than from internet CPAN.


2014-09-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999908 released.

        * More work on new user experience.


2014-09-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999907 released.

        * More work on new user experience.


2014-09-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999906 released.

        * Force Makefile.PL to install CPAN::Meta 2.142060.

        * Updated verbiage of new user experience.


2014-09-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999905 released.

        * Fixed --VERSION or -V output for some Linux.

        * Changed $returncode to $exitcode. 


2014-09-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999904 released.

        * Added $returncode to output options


2014-09-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999903 released.

        * Fixed login with /dev/tty: No such device or address

        
2014-09-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999902 released.

        * Can now connect to amazon servers from Cygwin FullAuto
          installations.

        * Fixed Full Calendar when saving passwords.

        * Added warning against the use of commandline passwords.


2014-08-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999999901 released.

        * Added Makefile.PL code to check and install
          openssl-devel.


2014-08-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999999 released.

        * Fixes for Gentoo.

        * New version of Term::Menus paired with this release.


2014-07-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999999_002 released.

        * Fixes for CentOS.


2014-07-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999999_001 released.

        * Fixes for CentOS.


2014-07-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999998 released.

        * Fixes for CentOS.


2014-07-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999997 released.

        * Fixes for CentOS.

        * New version of Term::RawInput paired with this release.


2014-07-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999996 released.

        * Fixes for CentOS.


2014-07-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999995 released.

        * Fixes for CentOS.


2014-07-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999994 released.

        * Fixes for CentOS.


2014-07-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999993 released.

        * Minor change to new line padding in new user
          experience.

        * New version of Term::Menus paired with this release.


2014-07-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999992 released.

        * Test Gzip Fix for Amazon RHEL.


2014-07-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999991 released.

        * Test Gzip Fix for Amazon RHEL.


2014-07-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999990 released.

        * Test Gzip Fix for Amazon RHEL.


2014-07-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999989 released.

        * Test Gzip Fix for Amazon RHEL.


2014-07-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999987 released.

        * Test Fix for Amazon RHEL.


2014-07-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999986 released.

        * Fixes for Amazon RHEL.


2014-07-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999985 released.

        * New version of Term::Menus paired with this release.

        * New version of Term::RawInput paired with this release.


2014-07-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999984 released.

        * Fixes for Amazon AMI.


2014-07-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999983 released.

        * Fixes for Amazon AMI.

        * New version of Term::Menus paired with this release.


2014-07-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999982 released.

        * Fixed Makefile.PL for Amazon AMI.

        * Added Module::Pluggable.


2014-07-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999981 released.

        * Fixed Makefile.PL for Amazon openSuSE.


2014-07-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999980 released.

        * Fixed Makefile.PL for Amazon AMI (Pod::Man handling).


2014-07-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999979 released.

        * Fixed Makefile.PL for Amazon AMI.


2014-07-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999978 released.

        * Fixed Makefile.PL for Amazon AMI.


2014-07-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999977 released.

        * Fixed Makefile.PL for Amazon AMI.


2014-07-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999976 released.

        * Fixed Makefile.PL for Amazon AMI.


2014-07-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999975 released.

        * Fixed Makefile.PL for Amazon AMI.


2014-07-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999974 released.

        * Fixed alarm for FreeBSD.

        * Updated OS detection in Makefile.PL


2014-07-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999973 released.

        * Fixes for FreeBSD.


2014-07-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999972 released.

        * Fixes for FreeBSD.


2014-07-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999971 released.

        * Fixes for FreeBSD.

        * New version of Term::Menus paired with this release.
 
 
2014-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999970 released.

        * Fixed Makefile.PL for FreeBSD.


2014-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999969 released.

        * Fixed Makefile.PL for FreeBSD.


2014-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999968 released.

        * Fixed Makefile.PL for FreeBSD.


2014-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999967 released.

        * Fixed Makefile.PL for FreeBSD.


2014-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999966 released.

        * Fixed Makefile.PL for FreeBSD.


2014-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999965 released.

        * Fixed Makefile.PL for FreeBSD.


2014-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999964 released.

        * Fixed Makefile.PL for FreeBSD.


2014-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999963 released.

        * Fixed Makefile.PL for FreeBSD.


2014-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999962 released.

        * Fixes for FreeBSD.

        * New version of Term::Menus paired with this release.


2014-07-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999961 released.

        * Fixes for FreeBSD.


2014-07-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999960 released.

        * Fixes for FreeBSD.

        * Updated New User Experience.

        * New version of Term::Menus paired with this release.

        * New version of Term::RawInput paired with this release.


2014-07-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999959 released.

        * Updated New User Experience.

        * New version of Term::Menus paired with this release.


2014-07-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999958 released.

        * Updated FIGlet View Menu.

        * New version of Term::Menus paired with this release.


2014-07-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999957 released.

        * Added FIGlet font install.

        * New version of Term::Menus paired with this release.


2014-07-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999956 released.

        * AWS login assistance added.


2014-07-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999955 released.

        * New version of Term::Menus paired with this release.


2014-07-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999954 released.

        * New version of Term::Menus paired with this release.


2014-07-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999953 released.

        * Fixed Makefile.PL error.


2014-07-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999952 released.

        * Fixed Berkeley DB install.


2014-07-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999951 released.

        * New version of Term::Menus paired with this release.
 

2014-07-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999950 released.

        * Moved Module::Runtime up in dependency list.


2014-07-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999949 released.

        * Changed pipe to system() for Berkeley make.


2014-07-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999948 released.

        * Remove and exec.


2014-07-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999947 released.

        * New version of Term::Menus paired with this release.


2014-07-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999946 released.

        * Released last version without new fullauto.pl :-( .

        * Added exec when amazon.


2014-07-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999945 released.

        * Released last version without new FA_Core.pm :-( .

        * New version of Term::Menus paired with this release.


2014-07-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999944 released.

        * Figlet font viewer added.

        * New version of Term::Menus paired with this release.


2014-07-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999943 released.

        * New version of Term::Menus paired with this release.


2014-07-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999942 released.

        * FullAuto now tests for password vs publickey.

        * New version of Term::Menus paired with this release.


2014-07-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999941 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-07-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999940 released.

        * Happy 4th of July!

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-07-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999939 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-07-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999938 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-07-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999937 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-07-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999936 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-07-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999935 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * Updated License notices to include acknowledgements
          for Crypt::DES and Net::SSLeay moldule authors.


2014-07-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999934 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-07-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999933 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-07-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999932 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-07-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999931 released.

        * Fixed logout of localhost handle.


2014-07-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999930 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * Fixed untar for Berkeley DB.


2014-06-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999929 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * Fixed exec for AWS Micro Server.


2014-06-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999928 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * Added memory check.


2014-06-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999927 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * Removed Sub::Quote from Makefile.PL


2014-06-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999926 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * More dependencies & ordering in Makefile.PL


2014-06-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999925 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-06-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999924 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * Can now install encrypted or non-encrypted BerkeleyDB.

        * New version of Term::Menus paired with this release.


2014-06-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999923 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * Using Non-Encrypted version of Berkeley DB.

        * Loading Test::Tester earlier.


2014-06-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999922 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * Updated License to GNU Affero General Public License
          Version 3.0.

        * New version of Term::Menus paired with this release. 
 

2014-06-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999921 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-06-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999920 released.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * New version of Term::Menus paired with this release.


2014-06-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999919 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-06-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999918 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-06-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999917 released.

        * New version of Term::Menus paired with this release.


2014-06-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999916 released.

        * New version of Term::Menus paired with this release.


2014-06-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999915 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-06-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999914 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-06-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999913 released.

        * Updated Makefile.PL for AWS Ubuntu installations.


2014-06-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999912 released.

        * Relocated 'Throwable' installation in Makefile.PL.


2014-06-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999911 released.

        * More work on New User Experience.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * New version of Term::RawInput paired with this release.


2014-06-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999910 released.

        * More changes for AWS.


2014-06-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999909 released.

        * More changes for AWS.


2014-06-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999908 released.

        * More changes for AWS.


2014-06-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999907 released.

        * More changes for AWS.


2014-06-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999906 released.

        * Cleaned up Makefile.PL.

        * Added dependencies for PPL.


2014-06-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999905 released.

        * Modified Makefile.PL to use less memory.

        * Added most dependencies to install during Makefile.PL.
          This is to allow FullAuto to install fully functional
          on AWS mini free tier Ubuntu servers.


2014-06-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999904 released.

        * Added Class::Unload to Makefile.PL.


2014-06-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999903 released.

        * Added CPAN::Shell->bye to Makefile.PL.


2014-06-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999902 released.

        * Added debugging for Ubuntu install.


2014-06-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999999901 released.

        * Added sudo to make and Build commands for Ubuntu.


2014-06-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999999 released.

        * Added print to debug tar in Makefile.PL for Ubuntu.


2014-06-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999998 released.

        * Added sudo to tar in Makefile.PL for Ubuntu.


2014-06-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999997 released.

        * Update Makefile.PL to use Makefile.PL rather than 
          Build.PL for IO::CaptureOutput.


2014-06-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999996 released.

        * More work on New User Experience.

        * Updated Makefile.PL for AWS Ubuntu installations.

        * New version of Term::Menus paired with this release.


2014-06-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999995 released.

        * More work on New User Experience.

        * New version of Term::Menus paired with this release.


2014-06-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999994 released.

        * More work on New User Experience.

        * New version of Term::Menus paired with this release.


2014-06-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999993 released.

        * New version of Term::Menus paired with this release.


2014-06-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999992 released.

        * Beginning work on New User Experience & Tutorial.

        * New version of Term::Menus paired with this release.


2014-06-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999991 released.

        * More fixes for Makefile.PL.

        * ssh identity_file now implemented option for ssh and sftp.


2014-05-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999990 released.

        * More fixes for Makefile.PL.


2014-05-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999989 released.

        * Updated Module directory from Module::Install.


2014-05-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999988 released.

        * Changed Makefile.PL to look inside of author dir
          in cpan build directory when building.


2014-05-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999987 released.

        * Changed Makefile.PL to look inside of author dir
          in cpan build directory when building.


2014-01-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999986 released.

        * Removed dir open for setuid and replaced with ls


2014-01-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999985 released.

        * Fix for (s)ftp output parsing.


2014-01-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999984 released.

        * Change global timeout to 60 seconds.

        * Added 1/50 second delay to end of ftp cmds.

        * Put in more fixes for MozRepl installation.


2014-01-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999983 released.

        * Put in more robust reporting checking for put and get.

        * Put in more fixes for MozRepl installation.


2013-12-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999982 released.

        * Put in fixes for MozRepl installation.


2013-12-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999981 released.

        * Yet more Makefile.PL fixes.


2013-12-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999980 released.

        * More Makefile.PL fixes.


2013-12-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999979 released.

        * Fixed routine for finding newest release in
          Makefile.PL.

        * Added quotes to handle dirs made from usernames
          with spaces for mkdir.


2013-12-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999978 released.

        * Fixed minor bug in changes for Version 0.99999977.


2013-12-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999977 released.

        * Updated Makefile.PL to do more thorough requirements
          testing for legacy Cygwin installations.


2013-12-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999976 released.

        * Updated Makefile.PL to do more thorough requirements
          testing for legacy Cygwin installations.


2013-12-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999975 released.

        * Merry Christmas!

        * Updated Makefile.PL to accomodate both Cygwin
          and Cygwin64 setups.


2013-12-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999974 released.

        * Merry Christmas!

        * Updated Makefile.PL to accomodate latest Cygwin
          changes for gcc and vim and emacs.


2013-12-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999973 released.

        * Complete Import from Remote Host.


2013-12-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999972 released.

        * fa_global.pm included in -V output.

        * New version of Term::Menus paired with this release.


2013-12-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999971 released.

        * Implemented FA_Sudo to enable a user to emulate
          another user. Useful for schedulers that run as
          root or SYSTEM on Windows.


2013-12-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999970 released.

        * Owner of FullAuto folder can now edit templates
          and fa_global.

        * Changed fa_defs.pm to fa_global.pm.

        * New version of Term::Menus paired with this release.


2013-12-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999969 released.

        * Can now send attachments with send_email().

        * More work to extend --quiet to include ftp output.


2013-12-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999968 released.

        * Fixed cwd() when used with sftp only connection.

        * Reworked returning 1 on error requested with cleanup(1).

        * Extended --quiet to include ftp output.


2013-12-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999967 released.

        * More Development on Import/Export Menu Item.

        * Implemented Return to Admin from Admin sub menus.

        * New version of Term::Menus paired with this release.


2013-12-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999966 released.

        * More Development on Import/Export Menu Item.


2013-12-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999965 released.

        * Added --cat to display FullAuto user files from
          command line.

        * More Development on Import/Export Menu Item.

        * New version of Term::Menus paired with this release.


2013-12-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999964 released.

        * More Development on Import/Export Menu Item.

        * New version of Term::Menus paired with this release.


2013-11-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999963 released.

        * Changed out code for "Press Any Key".

        * Removed MYMETA.* from distribution.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999962 released.

        * Eliminated prompt for Net::SSLeay during install.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999961 released.

        * Mapped Date::Format to TimeDate.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999960 released.

        * Added prerequisite IO::HTML.

        * Re-arranged other prerequisites.

        * Mapped LWP to libwww-perl.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999959 released.

        * Added prerequisites Devel::Symdump and PadWalker.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999958 released.

        * Added prerequisites Text::Diff and Regexp::Common.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999957 released.

        * Mapped Compress::Zlib to IO-Compress.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999956 released.

        * Added prerequisites for Module::Build.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999955 released.

        * Tighter regex matching on module names.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999954 released.

        * Moved CPAN::Meta::Requirements ahead of
          CPAN::Meta in Makefile.PL.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999953 released.

        * Re-arranged some prerequisites in Makefile.PL.

        * Added more prerequisites for Class::Method::Modifiers.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999952 released.

        * Re-arranged some prerequisites in Makefile.PL.


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999951 released.

        * Moved version ahead of Module::Metadata
          in Makefile.PL


2013-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999950 released.

        * Added Module::CoreList, Module::Load, Module::Metadata
          and version to prerequisites in Makefile.PL


2013-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999949 released.

        * Installing Module::Load::Conditional
          earlier in Makefile.PL for Unix builds.


2013-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999948 released.

        * Fixed Regex in Makefile.PL for Unix builds.


2013-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999947 released.

        * Added Locale::Maketext::Simple in Makefile.PL for Unix builds.

        * Added Test::Simple in Makefile.PL for Unix builds.


2013-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999946 released.

        * Added Params::Check in Makefile.PL for Unix builds.


2013-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999945 released.

        * Added IPC::Cmd in Makefile.PL for Unix builds.


2013-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999944 released.

        * Roll back some changes in Makefile.PL.

        * Changes in Makefile.PL for Unix builds.


2013-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999943 released.

        * Roll back some changes in Makefile.PL.

        * Changes in Makefile.PL for Unix builds.


2013-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999942 released.

        * Roll back some changes in Makefile.PL.
 
        * Test earlier for compiler in Unix builds.


2013-11-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999941 released.

        * require and import Digest::MD5 in Makefile.PL.


2013-11-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999940 released.

        * Fix require to use line 604 in Makefile.PL.


2013-11-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999939 released.

        * More Development on Import/Export Menu Item.

        * New version of Term::Menus paired with this release.


2013-11-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999938 released.

        * More Development on Import/Export Menu Item.

        * More modules load early to fix unix installs.


2013-11-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999937 released.

        * Fix for --users arg


2013-11-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999936 released.

        * More Development on Import/Export Menu Item.

        * Added --users arg to display list of FullAuto users.


2013-11-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999935 released.

        * More Development on Import/Export Menu Item.


2013-11-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999934 released.

        * Development on Import/Export Menu Item.

        * Added PPI as a module dependency.


2013-10-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999933 released.

        * Happy Halloween!

        * Can now authenticate with keys with sftp (only).

        * Now correctly creating cron strings from Menu.


2013-10-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999932 released.

        * Can now use '..' with ftp cwd().


2013-10-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999931 released.

        * Runs with Perl 5.18 and BerkeleyDB 6.0.

        * Fixed some Solaris installation issues.


2013-10-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999930 released.

        * Can now use '-' and '~' with ftp cwd().

        * Can now use '~' with ftp get() and put().


2013-10-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999929 released.

        * Fixed ftp file locking.


2013-10-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999928 released.

        * Fixed bugs found when running with cron.


2013-09-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999927 released.

        * Work on Scheduled Jobs continues.

        * Added _homedir to ftp.


2013-09-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999926 released.

        * Work on Scheduled Jobs continues.

        * New version of Term::Menus paired with this release.


2013-09-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999925 released.

        * Resumed work on Scheduled Jobs.

        * New version of Term::Menus paired with this release.


2013-08-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999924 released.

        * More work on Plans - nearly complete.

        * New version of Term::Menus paired with this release.


2013-08-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999923 released.

        * More work on Plans.

        * New version of Term::Menus paired with this release.


2013-08-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999922 released.

        * Plan Expiration is complete.


2013-08-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999921 released.

        * Nearly Complete with Plan Expiration logic.


2013-08-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999920 released.

        * More improvements to the Plan Menu facility.

        * New version of Term::Menus paired with this release.


2013-08-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999919 released.

        * More improvements to the Plan Menu facility.


2013-08-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999918 released.

        * More improvements to the Plan Menu facility.

        * New version of Term::Menus paired with this release.


2013-08-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999917 released.

        * More improvements to the Plan Menu facility.

        * New version of Term::Menus paired with this release.


2013-07-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999916 released.

        * More improvements to the Plan Menu facility.

        * New version of Term::Menus paired with this release.


2013-07-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999915 released.

        * Lots of improvements to the Plan Menu facility.

        * New version of Term::Menus paired with this release.


2013-07-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999914 released.

        * New version to accompany Term::Menus documentation
          update.

        * Completed defaults item in admin menu.


2013-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999913 released.

        * New version to accompany Term::Menus fix.


2013-07-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999912 released.

        * Rusumed long delayed work on Admin Menu.


2013-07-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999911 released.

        * Fixed the last of the known &mirror() bugs.

        * Fixed the last of known bugs when using FullAuto
          with local Virtual Box on Windows.


2013-07-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999910 released.

        * Fixed a bunch of &mirror() bugs.

        * Fixed bugs when using FullAuto with local Virtual
          Box on Windows.


2013-07-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999909 released.

        * Fixed bugs when using FullAuto with local Virtual
          Box on Windows.


2013-07-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999908 released.

        * Menus can now be dynamically loaded allowing login
          for some items but not others.

        * New --admin switch to bring up Admin Menu. 


2013-06-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999907 released.

        * New work on needed privilige error messages.
          (for Windows 7 and global policies)


2013-06-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999906 released.

        * Now checks sshd account priviliges every invocation.
          (for Windows 7 and global policies)

        * When gets sshd Stopped message, checks for orphans.

        * Updated Makefile.PL to ask for local sshd account.


2013-06-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999905 released.

        * New version to work with updated Term::Menus.


2013-05-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999904 released.

        * Misc. bug fixes for mirror().


2013-03-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999903 released.

        * Added lib libmpfr4 to install with Cygwin.


2013-02-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999902 released.

        * Another Fix for installation of mozrepl in Makefile.PL.


2013-02-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99999901 released.

        * Another Fix for installation of mozrepl in Makefile.PL.


2013-02-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999999 released.

        * Another Fix for installation of mozrepl in Makefile.PL.


2013-02-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999998 released.

        * Another Fix for installation of mozrepl in Makefile.PL.


2013-02-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999997 released.

        * Another Fix for installation of mozrepl in Makefile.PL.


2013-02-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999996 released.

        * Added flag file for first pass DB locking.


2013-02-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999995 released.

        * Added $ENV{PERL_LWP_SSL_VERIFY_HOSTNAME}=0 to
          Makefile.PL.


2013-02-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999994 released.

        * Fixed mozrepel install for Cygwin CPAN install.


2013-02-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999993 released.

        * Added temporary mozrepel error checking.


2013-02-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999992 released.

        * Added full command line to top of log file.


2013-02-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999991 released.

        * Removed error message from Makefile.PL.


2013-02-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999990 released.

        * Another Fix for installation of mozrepl in Makefile.PL.


2013-02-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999989 released.

        * Another Fix for installation of mozrepl in Makefile.PL.


2013-02-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999988 released.

        * Another Fix for installation of mozrepl in Makefile.PL.


2013-02-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999987 released.

        * More Fixes for installation of mozrepl in Makefile.PL.


2013-02-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999986 released.

        * More Fixes for installation of mozrepl in Makefile.PL.


2013-02-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999985 released.

        * Fixed mirror() when no time in Linux and daylight
          savings time - now MUCH faster.


2013-02-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999984 released.

        * Fixed mirror() when no time in Linux and daylight
          savings time.

        * Added gbp lookup for mirror().


2013-01-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999983 released.

        * Fixed installation of mozrepl in Makefile.PL.


2013-01-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999982 released.

        * Fixed installation of mozrepl in Makefile.PL.

        * Added code to correctly handle password in
          FullAuto.pm.


2013-01-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999981 released.

        * Fixed changing permissions on /var for cygwin.


2013-01-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999980 released.

        * Added Berkeley DB recover when new process discovers
          older process with deadlock.


2013-01-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999979 released.

        * Removed sudo from BerkeleyDB install in Makefile.PL


2013-01-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999978 released.

        * Added lines to change /var to proper permissions
          in Makefile.PL.

        * Added file test for Firefox extensions directory.

        * Added null to define $login_id in getpasswd.


2013-01-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999977 released.

        * Fixed Firefox download in Makefile.PL.


2013-01-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999976 released.

        * New code for permissions in Makefile.PL.


2013-01-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999975 released.

        * Added temp code for permissions in Makefile.PL.


2013-01-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999974 released.

        * Fix for MozRepl install in Makefile.PL.


2013-01-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999973 released.

        * Modified cache output for acquire_fa_lock() in
          FA_Core.pm.


2013-01-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999972 released.

        * Fix for permissions in Makefile.PL.

        * Fix for output processing in FA_Core.pm.

	* Added cache output for acquire_fa_lock() in
          FA_Core.pm.


2013-01-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999971 released.

        * Updated fa -V to show custom files in user dir.


2013-01-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999970 released.

        * Updated fa -V to show custom files in user dir.


2013-01-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999969 released.

        * Fix for permissions in Makefile.PL.


2013-01-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999968 released.

        * Fix for permissions in Makefile.PL.


2013-01-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999967 released.

        * Fix for permissions in Makefile.PL.


2013-01-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999966 released.

        * Fix for MozRepl install in Makefile.PL.


2013-01-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999965 released.

        * More code to attempt permissions fix in Makefile.PL.


2013-01-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999964 released.

        * More code to attempt permissions fix in Makefile.PL.


2013-01-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999963 released.

        * More code to attempt permissions fix in Makefile.PL.


2013-01-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999962 released.

        * More code to attempt to fix Firefox download.


2013-01-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999961 released.

        * More code to attempt to fix Firefox download.


2013-01-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999960 released.

        * More code to attempt to fix Firefox download.


2013-01-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999959 released.

        * More code to attempt to fix Firefox download.


2013-01-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999958 released.

        * Happy New Year!

        * Updated Makefile.PL to correct Firefox install code
          in Makefile.PL.


2013-01-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999957 released.

        * Happy New Year!

        * Updated Makefile.PL to correct mode setting code in
          FA_Core.pm.


2012-12-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999956 released.

        * Updated Makefile.PL to modify mode setting in
          FA_Core.pm.


2012-12-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999955 released.

        * Created variable in FA_Core.pm to hold mode setting.


2012-12-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999954 released.

        * Fixed permissions with password db files.


2012-12-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999953 released.

        * Fixed permissions when making dirs. With cygwin
          mkdir, -p cannot be used with -m.

        * Added Owner-Group permissions to Makefile.PL.
       
        * Changed Non-Privileged to Full-Access.


2012-12-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999952 released.

        * Fixed MozRepl install when Cygwin already present
          and using Windows Installer.


2012-12-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999951 released.

        * Merry Christmas!

        * Completed code for automated installation of
          FireFox and Mozprel. Special configuration is
          no longer required.


2012-12-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999950 released.

        * Term::Menus out of sync.

        * Fixed Permissioning Setup with Cygwin.


2012-12-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999949 released.

        * Fixed editing so that files open even with
          syntax errors.


2012-12-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999948 released.

        * More firefox mozrepl install code in Makefile.PL.


2012-12-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999947 released.

        * Fixed missing space in cp cmd.


2012-12-18  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999946 released.

        * Fixed false positive error when chmod.

        * Fixed cp lookup.


2012-12-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999945 released.

        * Permissions 770 for Berkeley DB with Cygwin/Windows. 

        * Added code to install Firefox and MozRepl if Cygwin.


2012-12-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999944 released.

        * Fixed Concurrent Locking for Unix and Cygwin/Windows.

        * Successfully tested full install in Solaris.


2012-12-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999943 released.

        * Permissions 660 for Berkeley DB with Cygwin/Windows.


2012-12-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999942 released.

        * Permissions 777 for Berkeley DB with Cygwin/Windows.

        * Added Regex to strip socket noise.


2012-12-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999941 released.

        * More MozRepl enhancements.


2012-11-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999940 released.

        * Lots of MozRepl enhancements.

        * Firefox located and launched for MozRepl when needed.

        * fa_lock enhancements.


2012-11-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999939 released.

        * Prepended package qualifier to fa_lock routines calls
          in other packages.


2012-11-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999938 released.

        * BerkeleyDB based locking system instead of OS
          semaphores.

        * Improved find BerkeleyDB version routine.


2012-11-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999937 released.

        * Fixed a number of output filters.


2012-10-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999936 released.

        * Added Caching of output with CHI.


2012-10-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999935 released.

        * Dynamically find sftp in setuid mode.

        * Fixed bug in mirror().

        * Other minor bugs.


2012-10-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999934 released.

        * Fixed a couple of bugs.


2012-10-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999933 released.

        * Lots of MozRepl enhancements.


2012-10-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999932 released.

        * Fixed endless loop in login process.


2012-10-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999931 released.

        * Implemented delayed lookup for bin utilities until
          actually called for - improves overall startup time.

        * Replaced all make_path calls with setuid_cmd to mkdir.


2012-10-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999930 released.

        * Fixed Data::Dump::Streamer install so it doesn't
          stop to ask user for a shortcut in Makefile.PL.

        * Fixed passwd file fixing code in Makefile.PL.


2012-10-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999929 released.

        * Added robust code to check sshd status during install.

        * Added wait of 15 seconds before displaying semaphore
          lock warning on FullAuto startup.


2012-10-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999928 released.

        * "Finally" Fixed Makefile.PL hang condition in Windows.

        * Fixed Makefile.PL syntax error.


2012-10-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999927 released.

        * Fixed more Makefile.PL issues with Cygwin.


2012-10-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999926 released.

        * Added Set item to admin menu.


2012-09-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999925 released.

        * Added "help" and "admin" menus to all FullAuto menus.


2012-09-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999924 released.

        * Lots of fixes for mirror() functionality.


2012-09-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999923 released.

        * Added version argument to fa_install_mod() in Makefile.PL.

        * Added Cache::Cache as a prerequisite.


2012-09-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999922 released.

        * Added ExtUtils::MakeMaker to META.yml, removed YAML.


2012-09-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999921 released.

        * Added inetutils to Cygwin install for all configurations.
          /bin/ftp is now no longer part of Cygwin base install.


2012-09-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999920 released.

        * Repaired some more Makefile.PL issues.


2012-09-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999919 released.

        * Repaired some more Makefile.PL issues.


2012-09-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999918 released.

        * Repaired some more Makefile.PL issues.


2012-09-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999917 released.

        * Repaired some more Makefile.PL issues.


2012-09-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999916 released.

        * Repaired some more Makefile.PL issues.


2012-09-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999915 released.

        * Repaired some Makefile.PL issues.


2012-08-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999914 released.

        * Connection handle to mozrepl now has repl method.


2012-08-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999913 released.

        * Fixed telnet functionality to work with mozrepl.


2012-08-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999912 released.

        * Fixed for passwords with parentesis.


2012-05-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999911 released.

        * Changed Oracle url for berkeleydb download.


2012-04-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999910 released.

        * Updated Error message to include command.

        * Updated Term::Menus dependency to 2.15.


2012-04-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999909 released.

        * Completed fixes for mirror() to work with remote Base
          RedHat Linux and local Dest Cygwin.


2012-04-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999908 released.

        * More fixes mirror() to work with remote Base Redhat
          Linux and local Dest Cygwin.


2012-04-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999907 released.

        * Fixed mirror() to work with remote Base Redhat Linux
          and local Dest Cygwin.


2012-04-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999906 released.

        * Modified Makefile.PL to fix regex that broker permissions.


2012-04-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999905 released.

        * Changed permission for setuid for fullauto.pl from
          511 to 555 for Cygwin installations.

        * Changed permission for setuid for fullauto.pl from
          4511 to 4555 for Cygwin installations.

        * Modified Makefile.PL to fix domain id installations.


2012-03-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999904 released.

        * Changed permission for setuid for fullauto.pl from
          500 to 511.

        * Modified Makefile.PL to check Cygwin version and abort
          if version is incompatible.


2012-03-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999903 released.

        * Fixed cwd() error when using combined handle.
          _ftp_handle was not getting it's directory changed.


2012-03-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999902 released.

        * Added conditional to avoid connection closed message
          when such a condition occurs during cleanup.


2012-03-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.999901 released.

        * Added fix to remove new line from $stderr variable
          during compilation phase.

        * Added Domain logic to Makefile.PL.


2012-03-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9999 released.

        * Changed the C code for parameters in fullauto.c.

        * Added passwd file dup cleanup to Makefile.PL.

        * Fixed package line in Distro/fa_menu.pl.


2012-02-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9998 released.

        * Added 1/50th second sleep to test_dir.

        * Other misc bug fixes found while testing on MSWin
          2008 Server.


2012-02-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9997 released.

        * Added ending '#' in setuid_cmd so line numbers can
          be manually added via vi for debugging.


2012-02-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9996 released.

        * Added Domain User check for Makefile.PL.

        * Modified image_magick in fa_code_demo.pm in Distro.


2012-02-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9995 released.

        * Fixed Makefile.PL $main::VERSION.


2012-02-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9994 released.

        * Fix for --edit.

        * Makefile.PL fix.


2012-02-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9993 released.

        * Forcing Cygwin version to use Cygwin supplied
          BerkeleyDB 4.5 because of problems building BerkeleyDB
          5.3 from source.


2012-01-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9992 released.

        * Misc minor bug fixes.


2011-12-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9991 released.

        * Added more code for diff() functionality.


2011-12-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9990 released.

        * Added more code for diff() functionality.


2011-12-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9989 released.

        * Modified mirror() to do sync on two local directories.

        * Started diff() functionality.


2011-12-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9988 released.

        * Added /bin/vi to search for vi.


2011-12-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9987 released.

        * Updated Makefile.PL to include YAML.

        * Added code to Module/Install/Admin.pm to handle
          error when using Windows executable installer.

        * Added checks for Cygwin sshd and cygserver services
          when FullAuto is running under Cygwin. 


2011-12-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9986 released.

        * Updated Makefile.PL to work with redhat and fedora.


2011-12-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9985 released.

        * Tweaked Makefile.PL to handle BerkeleyDB without sub-minor
          version.


2011-11-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9984 released.

        * Fixed some issues with very latest Ubuntu release.


2011-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9983 released.

        * Fixed some login issues with sftp when Su element is
          present.

        * Added Note describing how to set up Cygwin mintty
          shortcut to run FullAuto on remote systems.

        * Added compare_fa_code demo example to fa_code_demo.pm.


2011-11-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9982 released.

        * Fixed mirror() and insured it works between Solaris,
          Ubuntu and Cygwin/Windows.

        * Fixed FULL CALENDAR when choosing a password
          or plan expiration.

        * Removed BETA warning against running in production
          environments. We are mere steps away from Version 1.0!


2011-11-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9981 released.

        * Fixed mirror() and insured it works between Solaris,
          Ubuntu and Cygwin/Windows.

        * Fixed Daylight Savings problem between Windows and
          Unix.


2011-11-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9980 released.

        * Fixed mirror() and insured it works on both Solaris
          and Ubuntu.


2011-10-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9979 released.

        * HAPPY HALLOWEEN!!!

        * Tweaked Distro modules.

        * Improved an error message.


2011-10-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9978 released.

        * Fixed issues to enable FullAuto to work on Solaris,
          Ubuntu Linux and Windows Cygwin with same code.


2011-10-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9977 released.

        * mirror() functionality repaired for both cygwin-unix
          and unix-cygwin.

        * su() fixed for unix.


2011-10-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9976 released.

        * Fix fa --edit


2011-09-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9975 released.

        * Fix for fa --defaults functionality.

        * Added support code to dynamically discover IP
          address of host, rather than having it hard-coded
          in fa_host.pm file. This is for interaction from
          Virtual Box guest OS to host.


2011-09-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9974 released.

        * &mirror() now works for local cygwin to remote unix.

        * MAJOR improvements to output parsing accuracy.
          FullAuto has made a significant leap in reliability
          and robustness.


2011-09-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9973 released.

        * Started work on repairing long dormant &mirror()
          function.

        * Fixed more intermittant errors when parsing command
          output from Solaris.


2011-09-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9972 released.

        * Fix for fa --default functionality

        * Fixed an intermittant error when parsing command
          output from Solaris.


2011-09-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9971 released.

        * Completed work on fa --defaults functionality.


2011-09-13  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9970 released.

        * More work on fa --defaults functionality.


2011-09-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9969 released.

        * Fixed Solaris login flow when wrong password is entered.


2011-09-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9968 released.

        * Completed a significant portion of --set funtionality.

        * Fixed login flow when wrong password is entered.

        * Significantly improved performance of fa -V.


2011-09-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9967 released.

        * Added logic for more --set features such as 'delete'.


2011-08-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9966 released.

        * Added logic for --set argument, 'Define New Module Set'
          is now working.


2011-08-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9965 released.

        * Added logic for --set argument.


2011-08-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9964 released.

        * Makefile.PL fix.


2011-08-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9963 released.

        * Makefile.PL fix and change default to Setuid.


2011-08-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9962 released.

        * Fixed image_magick in fa_code_demo.pm in Distro.


2011-08-18  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9961 released.

        * Added fa_code_demo.pm to Distro.


2011-08-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9960 released.

        * Added more code for managing FullAuto user files.


2011-08-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9959 released.

        * More changes to Makefile.PL - changed perms to
          setuid.

        * Added more code for managing FullAuto user files.


2011-08-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9958 released.

        * More changes to Makefile.PL for Win XP.


2011-08-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9957 released.

        * Modified functionality to choose default modules.


2011-08-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9956 released.

        * More changes to Makefile.PL.

        * Added &persist_get() and &persist_put().


2011-08-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9955 released.

        * More changes to Makefile.PL to correct
          small regex issue for Win XP.


2011-08-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9954 released.

        * More changes to Makefile.PL to correct
          issues.


2011-08-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9953 released.

        * More changes to Makefile.PL to correct
          editor choice sed syntax.


2011-08-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9952 released.

        * More changes to Makefile.PL to correct
          editor choice.


2011-07-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9951 released.

        * More changes to Makefile.PL.


2011-07-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9950 released.

        * Fixed BerkeleyDB code to work with latest 5.2
          release.

        * Better handling for top script indicated menu_config.


2011-07-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9949 released.

        * Added robust code to install and FA_Core.pm to
          locate BerkeleyDB db_recover utility.


2011-07-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9948 released.

        * Fixed Ticket ID #69659 - added message explaining
          Cygwin requirement for MS Windows and exiting.

        * Fixed Ticket ID #69661 - added exit for CPAN smoke
          testers to stop FullAuto install if modules installed
          by Makefile.PL are needed.


2011-07-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9947 released.

        * Implemented new menu and db feature to choose
          and save a default fa_menu.pm file for use
          when FullAuto starts for the user. There is now
          a Custom/$username/Menus directory to house
          many menu files. Default menu file name is
          stored in the db. fa --menu will display this
          functionality.


2011-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9946 released.

        * More changes to Makefile.PL.


2011-07-18  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9945 released.

        * More changes to Makefile.PL.


2011-07-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9944 released.

        * More changes to Makefile.PL.


2011-07-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9943 released.

        * More changes to Makefile.PL.


2011-07-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9942 released.

        * More changes to Makefile.PL.


2011-07-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9941 released.

        * More changes to Makefile.PL.


2011-07-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9940 released.

        * Now forcing Term::RawInput to install early in
          Makefile.PL.


2011-07-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9939 released.

        * Fixed some more logic in Makefile.PL.


2011-07-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9938 released.

        * Fixed some more logic in Makefile.PL.


2011-07-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9937 released.

        * Added Algorithm::Diff as a dependency to Makefile.PL.
          (This is a prerequisite for Data::Dump::Streamer).


2011-07-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9936 released.

        * Made more adjustments to Cygwin based installation
          code in Makefile.PL for Windows EXE installation.


2011-06-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9935 released.

        * Made more adjustments to Cygwin based installation
          code in Makefile.PL for Windows EXE installation.


2011-06-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9934 released.

        * Made more adjustments to Cygwin based installation
          code in Makefile.PL for Windows EXE installation.


2011-06-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9933 released.

        * Made more adjustments to Cygwin based installation
          code in Makefile.PL for Windows EXE installation.


2011-06-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9932 released.

        * Made more adjustments to Cygwin based installation
          code in Makefile.PL for Windows EXE installation.


2011-06-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9931 released.

        * Made more adjustments to Cygwin based installation
          code in Makefile.PL for Windows EXE installation.


2011-06-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9930 released.

        * Made more adjustments to Cygwin based installation
          code in Makefile.PL for Windows EXE installation.


2011-06-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9929 released.

        * Made major adjustments to Cygwin based installation
          code in Makefile.PL for Windows EXE installation.
          Now working end-to-end on Windows 2008 Server.


2011-06-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9928 released.

        * Made adjustments to Cygwin based installation
          code in Makefile.PL.

        * Added &persist() function for Custom Code writers.


2011-03-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9927 released.

        * Made adjustments to Cygwin based installation
          code in Makefile.PL.


2011-03-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9926 released.

        * Fixed FULL CALENDAR date issue regarding current
          month and current time.


2011-02-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9925 released.

        * Completed Windows Installer.


2011-02-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9924 released.

        * More minor fixes to bugs discovered while
          testing in OpenSolaris.

        * Implemented $host->close() for ssh connections.

        * Tested with threading - it WORKS.


2011-02-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9923 released.

        * More minor fixes to bugs discovered while
          testing in OpenSolaris.

        * Fixed Ping functionality.

        * Worked on setuid operations.


2011-02-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9922 released.

        * More minor fixes to bugs discovered while
          testing in OpenSolaris.

        * Changed Makefile.PL to eliminate searching of
          hidden directories when looking for BerkeleyDB.


2011-02-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9921 released.

        * Minor changes to fix errors found when run in Linux.


2011-02-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9920 released.

        * Minor changes to fix errors found when run in Linux.


2011-02-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9919 released.

        * Wrapped DB operations with semaphore protection.

        * More output parsing tweaks and bug fixes.


2011-02-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9918 released.

        * Completed work on both IPC and Win32 Semaphore
          code.

        * Implemented 'top' CPU usage test to prevent FullAuto
          launching in unattended mode when CPU usage is
          high.

        * More output parsing tweaks and bug fixes.


2011-02-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9917 released.

        * Added a LOT more password persistence and management
          code.

        * Prompts now have timeouts. (So they don't interfere
          with other processes in unattended mode).

        * Got semaphores working again in Cygwin.


2011-02-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9916 released.

        * More work on "Scheduled Jobs".

        * Fixed bugs with pwd test.


2011-02-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9915 released.

        * Looks like "Finally" fixed Cygwin reliability - use
          built-in bash pwd rather than cmd /c chdir for
          determining current directory during login.

        * Much more work on "Scheduled Jobs" - can actually
          populate running cron job.


2011-02-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9914 released.

        * Regular Expression fix [$%>#-:] to [:\$%>#-] because
          the dollar sign was not matching.


2011-02-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9913 released.

        * Regular Expression fix [$%>#-:] to [:$%>#-] because
          the former was improperly matching a '('.


2011-02-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9912 released.

        * Removed 'use MLDBM' and 'use DB_File' from FullAuto.pm.
          This should fix full install.

        * Included Test::Deep (needed by MIME::Tools) and
          Term::RawInput in required modules list in
          Makefile.PL.

        * Fixed what "should" be the very last Cygwin
          "reliability" bug. When login process fails to verify
          /tmp dir, it fails the login quietly behind the scenes
          and re-attempts. Testing has so far been successful.

        * Completed coding for keeping passwords encrypted
          while in volatile memory as much as possible. The
          lifespan of clear text passwords in memory can now
          be measured in milliseconds.

        * Fixed some more runtime bugs that surfaced via
          'use strict'.
        

2011-02-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.9911 released.

        * Fixed some runtime bugs that surfaced with the
          'use strict' pragma on Ubuntu Linux.


2011-02-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.991 released.

        * Version 101 also did not Index. So we'll try .991
          (I don't want to go 1.0 just yet).


2011-02-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.101 released.

        * CPAN Indexing of Version 100 failed (I'm *not*
          surprised). Going to version 101 "should" fix the
          issue.


2011-02-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.100 released.

        * Added 'use DirHandle' to Makefile.PL in attempt to
          fix CPAN Testers issue.


2011-02-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.99 released.

        * Completed cron generation code for scheduled jobs.


2011-01-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.98 released.

        * Implemented Full Calendar menuing for Scheduled Job
          creation.


2011-01-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.97 released.
      
        * Implemented new rotating encryption key logic, to
          make cleartext passwords and/or keys to encrypt
          them impossible to determine from looking at source
          code alone. Using String::Random for this feature.


2011-01-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.96 released.

        * Hundreds of changes to both Term::Menus and FullAuto.
          'use strict' and 'use warnings' are NOW TURNED *ON*
          in all files!


2011-01-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.95 released.

        * More strict cleanup.


2011-01-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.94 released.

        * Added functionality to save main password in
          encrypted format with an expiration feature.


2011-01-10  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.93 released.

        * New service/daemon functionality now implemented.
          FullAuto can not be configured as a service/daemon.
          (Most of the change occured in the Term::Menus
           module).


2011-01-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.92 released.

        * New "Plan" functionality is now implemented.


2011-01-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.91 released.

        * Fixed output when entire output returns in one
          string (happens mostly on AIX).

        * Changed 'kill' on Cygwin to use kill -f instead of
          kill -9 (which gets permission denied on Windows
          2008 Server).


2011-01-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.90 released.

        * Fixed last "known" error condition when running under
          Cygwin/Windows.

        * Modified Makefile.PL to do optional registry
          modification.

        * Now forcing build and install of very latest
          BerkeleyDB in order to enhance reliability.


2010-12-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.89 released.

        * HAPPY NEW YEAR!!

        * Added 'Plan' functionality. (Not yet usable).


2010-12-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.88 released.

        * Added test for first invocation and NOTICE message
          to advice patience with slow first startup due to
          the need for ssh to negotiate initial encryption.


2010-12-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.87 released.

        * Removed all code utilizing MLDBM and DB_File and
          replaced with BerkeleyDB in order to use MVCC.

        * Added use of Data::Dump::Streamer to use with
          BerkeleyDB


2010-12-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.86 released.

        * Merry Christmas!

        * Added test for Berkeley DB version 4.5 or greater
          in order to use MVCC.

        * Changed DB location in FA_Core.pm.


2010-12-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.85 released.

        * Remove testing print statements from Makefile.PL.


2010-12-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.84 released.

        * Added conditional to load CPAN::MyConfig.

        * Removed -type f from find in Makefile.PL so
          symbolic links can be located


2010-12-18  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.83 released.

        * Temporarily undef $ENV{PERL5_CPAN_IS_RUNNING} in
          order to defeat JSON user prompt.


2010-12-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.82 released.

        * Added JSON to pre-req treatment to defeat prompt.


2010-12-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.81 released.

        * Fixed testpid() to work with
          IO::CaptureOutput::capture.

        * Added Password: test to when looking for cmd prompt
          after login attempt (needed for Solaris).


2010-12-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.80 released.

        * Version 0.79 failed to contain changes listed


2010-12-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.79 released.

        * Fixed logic to find module build dir in Makefile.PL

        * Fixed timeout bug in output parser

        * Added alarm timeout for password function when ssh
          makes new connection and dialogue asks for permission
          to connect. Timeout is used for when FullAuto runs in
          cron, or on a server by another process or service with
          no user interaction. The situation can be remedied by
          using the --authorize_connect argument when first
          connecting to a new remote host.

        * Cleaned up a slew of unused variables in FA_Core.pm


2010-12-02  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.78 released.

        * Added ncurses and libdb4.5-devel to Cygwin install
          in Makefile.PL


2010-12-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.77 released.

        * Added tests to find gzip, tar and make for cygwin in
          Makefile.PL


2010-12-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.76 released.

        * Changed bash -ic to bash -lc for cygwin setup in
          Makefile.PL

        * Fixed uniq capture

        * Added override package for LWP::UserAgent to improve
          compatibility with older CPAN installations


2010-12-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.75 released.

        * Added BerkeleyDB::Manager to "requires" list in
          Makefile.PL


2010-11-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.74 released.

        * Removed LWP::UserAgent->config in Makefile.PL


2010-11-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.73 released.

        * Changed CPAN::LWP::UserAgent to just LWP::UserAgent
          in Makefile.PL


2010-11-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.72 released.

        * added module requirements for Term::Menus to
         "requires" list for Windows installations.


2010-11-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.71 released.

        * Fixed small bug in Makefile.PL.

        * Added error message informing user of necessary
          permission requirements when writable directory
          is not located during FullAuto initialization.


2010-11-27  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.70 released.

        * Removed use CPAN::LWP::UserAgent statement.


2010-11-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.69 released.

        * Fixed replacement list error generating warning.


2010-11-25  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.68 released.

        * Modified Makefile.PL again to load
          build dependencies.


2010-11-24  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.67 released.

        * Modified Makefile.PL again to load
          build dependencies.


2010-11-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.66 released.

        * Modified Makefile.PL again to load
          build dependencies.


2010-11-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.65 released.

        * Modified Makefile.PL again to load
          Term::Menus dependencies.


2010-11-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.64 released.

        * Modified Makefile.PL again to load
          Term::Menus dependencies.


2010-11-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.63 released.

        * Modified Makefile.PL to load Term::Menus dependencies.


2010-11-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.62 released.

        * Modified Makefile.PL to fix Ticket 62852.

        * Removed configure_requires LWP from META.yml.


2010-11-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.61 released.

        * Modified Makefile.PL to download Term::Menus


2010-11-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.60 released.

        * Cleaned up search for Berkeley DB.

        * Modified Makefile.PL to download and compile
          BerkeleyDB if this C Library is not found on
          the host.


2010-10-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.59 released.

        * Modified Makefile.PL to load Term::Menus from
          included fai (f[ull]a[uto]i[nclude]) directory.


2010-10-18  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.58 released.

        * Removed the parentesis from 'use' statements 
          in FullAuto.pm.


2010-10-16  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.57 released.

        * Swapped position of MLDBM and MLDBM::Sync in
          Makefile.PL


2010-10-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.56 released.

        * Added test for BerkeleyDB to Makefile.PL


2010-10-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.55 released.

        * Adding 'use dependency' statements to FullAuto.pm
          in another attempt to fix broken CPAN testers
          results


2010-10-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.54 released.

        * Added MLDBM::Sync Bootstrap code to Makefile.PL in
          yet another attempt to fix CPAN testers results

        * Removed VERSION variables from Distro files


2010-10-07  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.53 released.

        * Removed call to Cygwin mount in Windows section
          in Makefile.PL

        * Added conditional test for SED in Makefile.PL


2010-10-05  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.52 released.

        * Moved IO::Pty requirement to 1.09 for Cygwin

        * Added new argument -p and --plan for new "Plan"
          functionality


2010-10-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.51 released.

        * Fixed more permissions for Custom dir when choosing
          Default permissions

        * Fixed some bugs associated with the --edit feature

        * Fixed multiple addresses when sending email


2010-10-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.50 released.

        * Fixed permissions for Custom dir when choosing
          Default permissions

        * Switched back to IO::CaptureOutput for two functions
          that didn't work right with Capture::Tiny.
          Capture::Tiny remains in the email function however.


2010-10-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.49 released.

        * fa_conf now stores editor setting

        * Makefile.PL modified to assist user in selecting
          editor


2010-09-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.48 released.

        * Replaced IO::CaptureOutput with Capture::Tiny
          (works better).


2010-09-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.47 released.

        * Replaced Mail::Internet and Mail::Sender with
          Email::Sender and MIME::Entity modules. Send_email
          functionality was modified to use these modules
          instead. The reason for the replacement, was
          Mail::Sender paused to ask for user input during
          cpan builds, and this might have been causing
          the automated test builds to fail.

        * Modified Makefile.PL to install new email dependencies.

        * Modified Makefile.PL to ask users installing Cygwin
          what editor they would prefer for installation and/or
          default.


2010-09-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.46 released.

        * Changed Makefile.PL to fix Cygwin install


2010-09-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.45 released.

        * Moved "requires DB_File" to bottom of requires list
          in continuing effort to clean up CPAN testers
          reports


2010-09-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.44 released.

        * Changed fullauto -V to work better with Cygwin


2010-09-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.43 released.

        * Forgot to include fullauto.pl changes in Version 0.42


2010-09-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.42 released.

        * Makefile.PL changed to not demand particular versions
          of LWP or Term::Menus when autoloading

        * Added --version and -V arguments and printouts

        * --edit and -e now open broken syntax files and open
          faster


2010-09-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.41 released.

        * Makefile.PL substantially modified with latest
          version of Module::Install.

        * Build.PL removed

        * Makefile.PL modified to accomodate stand-alone
          Windows exe installer.

        * Returns content on both STDOUT and STDERR when
          content exists on both


2010-09-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.40 released.

        * 'Finally' got gpg signature working again

        * Modifed Makefile.PL to enable users to automatically
          install Cygwin when Windows is detected. This now
          works.


2010-09-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.39 released.

        * Changed install to include latest Module::Install

        * Added option to install Cygwin when Windows is
          detected and FullAuto install is not running in
          Cygwin bash environment


2010-08-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.38 released.

        * Implemented 'unattended' mode in conjunction with
          changes to Term::Menus. Menus can now be used in
          FullAuto and when Default selections are set, Fullauto
          can be run 'unattended' in schedulers, and where a
          Menu would ususally great a user, the Default selections
          will be used.


2010-08-30  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.37 released.

        * &sendemail() now has better error reporting.

        * improved output parser to better detect stderr
          output from remote hosts.


2010-08-26  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.36 released.

        * Major restructuring with addtion of Custom and Distro
          Architecture

        * All custum files renamed to start with 'fa_'

        * Added edit option


2010-08-22  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.34 released.

        * More error handling cleanup

        * Removed dependency on MemHandle

        * &Menu() is now available in usr_code.pm

        * retry logic made saner and more reliable

        * &send_email() functionality restored


2010-08-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.33 released.

        * More error handling cleanup


2010-08-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.32 released.

        * Fixed bug in cwd() cmd


2010-08-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.31 released.

        * Numerous changes to enable FullAuto to work on AIX.
          Changes are *not* AIX specific. FullAuto is not more robust.

        * More debugging code added

        * "clear" logic removed (should fix cpan testers error)


2010-08-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.30 released.

        * Improved the setup Makefile.PL
          Added more pre-req checks and error handling


2010-08-12  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.29 released.

        * Improved the setup Makefile.PL
          Added more pre-req checks and error handling


2010-08-09  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.28 released.

        * Fixed a bug in how timeouts were handled when looking
          for ssh prompt after login


2010-08-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.27 released.

        * Removed 'use Term::Menus;' from Makefile.PL


2010-08-08  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.26 released.

        * Implemented 'tosspass' condition so that users can
          have the option of *not* saving passwords to the
          encrypted database file. This behavior must be
          specifically 'requested' via configuration setting
          or command line arguement. Saving passwords remains
          and WILL remain the 'default' behavior for FullAuto.


2010-08-04  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.25 released.

        * Added process flow to Makefile.PL for scenarios
          when installers do not have permission to install
          to the default location. It now gives them an
          option to install to alternate locations. 

        * Added alarm timeout to Makefile.PL so that installs
          never hang indefinitely


2010-08-03  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.24 released.

        * Implemented Bad_Handle package to enable methods to
          return the stderr from the orginal connection failure
          as an explanation for why the method invocation fails.

        * Cleaned up more ftp & ssh login flow

        * Cleaned up more error messaging.

        * More logging cleanup.


2010-08-01  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.23 released.

        * Cleaned up more ftp & ssh login flow

        * Cleaned up more error messaging.

        * More logging cleanup.


2010-07-31  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.22 released.

        * Cleaned up ftp login flow

        * Cleaned up error messaging.

        * More logging cleanup.


2010-07-29  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.20 released.

        * Cleaned up error messaging.

        * More logging cleanup.


2010-07-28  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.20 released.

        * MORE Misc bug fixes to socket output processing.

        * Implemented printf printing of download progress.

        * Cleaned up logging.


2010-07-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.19 released.

        * MORE Misc bug fixes to socket output processing.


2010-07-21  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.18 released.

        * Misc bug fixes to socket output processing.


2010-07-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.17 released.

        * Added line to unset environment DISPLAY setting in
          forked processes


2010-07-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.16 released.

        * Fixed cygwin output fetching from socket bugs


2010-07-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.15 released.

        * Fixed setgid build and runtime bugs


2010-07-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.14 released.

        * Modifed Makefile.PL to install setuid, and setgid
          configurations


2010-07-15  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.13 released.

        * Modified Build to compile C Wrapper fullauto(.exe)
          to fullauto.pl to use with setuid 


2009-07-11  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.12 released.

        * Repaired ability to run multi-line commands

        * Added code to remove PROMPT_COMMAND in remote environment

2007-09-23  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.11 released.

        * Repaired Pod Documentation

2007-09-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.10 released.

        * Repaired Pod Documentation

        * Added Setup Checklist to Pod

2007-09-20  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.09 released.

        * Repaired Pod Documentation

2007-09-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.08 released.

        * Cleaned out usr_code.pm file

2007-09-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.07 released.

        * Repaired Pod Documentation

        * Cleaned out fa_hosts.pm file

2007-09-19  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.06 released.

        * Added more Pod Documentation to FullAuto.pm describing
          the required contents of the usr_code.pm file.

2007-09-17  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.05 released.

        * Added more Pod Documentation to FullAuto.pm describing
          the required contents of the fa_hosts.pm file. 

2007-09-14  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.04 released.

        * Added '&' before threads-> method call in usr_code.pm

        * Changed Makefile.PL to require at least
          version 1.24 version of Term::Menus.

2007-09-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.03 released.

        * Commented out threads.pm in usr_code.pm

2007-09-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.01 released.

        * Fixed unintialized variable error.

2007-09-06  Brian M. Kelly  <Brian.Kelly@fullautosoftware.net>

        * Version 0.01 released.

        * INITIAL RELEASE of ***BETA*** Net::FullAuto
